
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    java.lang.Comparable[] comparable_array0 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array0, orderDirection1, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(10.0d, 100.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.0d, 10.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d5 = vector1D2.distance1((org.apache.commons.math3.geometry.Vector)vector1D4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = vector3D0.subtract(100.0d, (org.apache.commons.math3.geometry.Vector)vector1D2);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection0 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    float f3 = org.apache.commons.math3.util.Precision.round(0.0f, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = new org.apache.commons.math3.geometry.partitioning.BSPTree(subHyperplane0, bSPTree1, bSPTree2, (java.lang.Object)vector3D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = null;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D0, vector2D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999958776927d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    float f3 = org.apache.commons.math3.util.Precision.round(100.0f, (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 110.0f);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    org.apache.commons.math3.geometry.euclidean.threed.Plane plane0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Plane.intersection(plane0, plane1, plane2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d0 = org.apache.commons.math3.util.MathUtils.TWO_PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 6.283185307179586d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = intervalsSet1.isEmpty(bSPTree2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(99.0d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array9 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1079558144);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D8.orthogonal();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = vector1D2.distance((org.apache.commons.math3.geometry.Vector)vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(100.0d, 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    org.apache.commons.math3.geometry.partitioning.Transform transform2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion3 = intervalsSet1.applyTransform(transform2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(100.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 90.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D8.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Plane plane13 = plane4.rotate(vector3D11, rotation12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5574077246549023d));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.5574077246549023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2261911708835171d));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.math3.exception.MathInternalError mathInternalError0 = new org.apache.commons.math3.exception.MathInternalError();

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(1, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = vector2D0.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d15 = vector1D5.distance((org.apache.commons.math3.geometry.Vector)vector1D12);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D12.negate();
    // The following exception was thrown during execution in test generation
    try {
      double d17 = vector3D3.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D14.orthogonal();
    plane4.reset(vector3D10, vector3D17);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d20 = vector1D19.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d22 = vector1D21.getNorm();
    double d23 = vector1D19.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D21);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d25 = vector1D24.getNorm();
    double d26 = vector1D21.distance((org.apache.commons.math3.geometry.Vector)vector1D24);
    // The following exception was thrown during execution in test generation
    try {
      double d27 = vector3D10.distance1((org.apache.commons.math3.geometry.Vector)vector1D24);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.math3.geometry.euclidean.twod.Line line0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Line line1 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException3 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D4, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.negate();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = vector1D2.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D7);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 110.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Line line9 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane8.intersection(line9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(d_array1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math3.geometry.partitioning.Side side0 = org.apache.commons.math3.geometry.partitioning.Side.PLUS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D5.distance1((org.apache.commons.math3.geometry.Vector)vector1D7);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = plane4.getOffset((org.apache.commons.math3.geometry.Vector)vector1D7);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = vector3D3.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.Vector vector7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.subtract(vector7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0d, 0.03341256700064158d, 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array4, orderDirection6, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor1 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree0.visit(bSPTreeVisitor1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion3 = polygonsSet2.copySelf();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d2 = vector1D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d4 = vector1D1.distance1((org.apache.commons.math3.geometry.Vector)vector1D3);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = vector3D0.distanceSq((org.apache.commons.math3.geometry.Vector)vector1D3);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = vector2D13.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(1L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.0f);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array5 = new double[] { 100.0d, 10.0d };
    double d6 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array2, d_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array2);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array13 = new double[] { 100.0d, 10.0d };
    double d14 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array10, d_array13);
    double[][] d_array_array15 = new double[][] { d_array10 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array2, orderDirection8, d_array_array15);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array21 = new double[] { 100.0d, 10.0d };
    double d22 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array18, d_array21);
    double d23 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array18);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection24 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    double[] d_array26 = new double[] { 1.0d };
    double[] d_array29 = new double[] { 100.0d, 10.0d };
    double d30 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array26, d_array29);
    double[][] d_array_array31 = new double[][] { d_array26 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array18, orderDirection24, d_array_array31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array0, orderDirection8, d_array_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double d0 = org.apache.commons.math3.util.Precision.SAFE_MIN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.2250738585072014E-308d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = vector3D6.orthogonal();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region.Location location10 = polygonsSet2.checkPoint((org.apache.commons.math3.geometry.Vector)vector3D9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    // The following exception was thrown during execution in test generation
    try {
      double d2 = intervalsSet1.getInf();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D13);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d17 = vector3D16.getY();
    double d18 = vector3D16.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane19 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D14, vector3D15, vector3D16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D0.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector3D14);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.Vector vector13 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d14 = vector1D0.distanceInf(vector13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.List list2 = intervalsSet1.asList();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet(collection0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d30 = vector3D29.getY();
    double d31 = vector3D29.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane32 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D27, vector3D28, vector3D29);
    // The following exception was thrown during execution in test generation
    try {
      boolean b33 = line11.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)plane32);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D5);
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D5, vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = vector2D4.subtract((org.apache.commons.math3.geometry.Vector)vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1079410688);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree1);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet5 = polygonsSet3.buildNew(bSPTree4);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region region6 = regionFactory0.xor((org.apache.commons.math3.geometry.partitioning.Region)intervalsSet2, (org.apache.commons.math3.geometry.partitioning.Region)polygonsSet3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet5);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.apache.commons.math3.geometry.partitioning.Side side0 = org.apache.commons.math3.geometry.partitioning.Side.HYPER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side0);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b10 = vector3D9.isInfinite();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = plane8.toSpace((org.apache.commons.math3.geometry.Vector)vector3D9);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-1.2261911708835171d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5707963267948966d, 6.283185307179586d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet4 = polygonsSet2.buildNew(bSPTree3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = polygonsSet4.getTree(true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet4);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22026.465794806718d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = intervalsSet1.isEmpty();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.6293945E-6f);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array3 = new double[] { 1.0d };
    double[] d_array6 = new double[] { 100.0d, 10.0d };
    double d7 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array3, d_array6);
    double d8 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array3);
    double[] d_array9 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3, 10);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array1, d_array11);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9999999999999999d, 2.2250738585072014E-308d, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    java.text.NumberFormat numberFormat12 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str13 = vector2D1.toString(numberFormat12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet4 = polygonsSet2.buildNew(bSPTree3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region.Location location8 = polygonsSet4.checkPoint((org.apache.commons.math3.geometry.Vector)vector3D7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)1, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)(-1));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1), 1079558144);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = dimensionMismatchException3.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(6.283185307179586d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection3, true);
    java.lang.Number number6 = nonMonotonicSequenceException5.getArgument();
    int i7 = nonMonotonicSequenceException5.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1)+ "'", number6.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = vector2D1.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    byte byte2 = org.apache.commons.math3.util.MathUtils.copySign((byte)1, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte2 == (byte)1);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5729.5779513082325d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.192987713658941d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = null;
    // The following exception was thrown during execution in test generation
    try {
      line11.reset(vector2D26, vector2D37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array8 = null;
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(22026.465794806718d, 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 90.0d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(collection0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    double d2 = vector3D0.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    org.apache.commons.math3.geometry.partitioning.Side side0 = org.apache.commons.math3.geometry.partitioning.Side.BOTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side0);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet4 = polygonsSet2.buildNew(bSPTree3);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane6 = polygonsSet4.intersection(subHyperplane5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet4);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane17 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D13, vector3D16);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = vector1D0.distanceInf((org.apache.commons.math3.geometry.Vector)vector3D16);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(10L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distance(vector1D0, vector1D1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.944515159673473E42d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.5707963267948966d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = polygonsSet2.isEmpty();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(2.0d, 5.192987713658941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.283185307179586d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 100.0f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D7.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D7.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector3D15);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    java.util.Collection collection0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet1 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet(collection0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-1L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.9999999958776927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.718281817253452d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ZERO;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    float f2 = org.apache.commons.math3.util.Precision.round(10.0f, 961);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D3, 0.0d, vector2D5);
    double d7 = vector2D3.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D9, 0.0d, vector2D11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D3, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D15, 0.0d, vector2D17);
    line13.translateToPoint(vector2D15);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D21, 0.0d, vector2D23);
    double d25 = vector2D21.getNorm();
    boolean b26 = line13.contains(vector2D21);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D28, 0.0d, vector2D30);
    double d32 = vector2D28.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D34, 0.0d, vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line38 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D28, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D40, 0.0d, vector2D42);
    line38.translateToPoint(vector2D40);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D49 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D46, 0.0d, vector2D48);
    double d50 = vector2D46.getNorm();
    boolean b51 = line38.contains(vector2D46);
    boolean b52 = line13.isParallelTo(line38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D54, 0.0d, vector2D56);
    double d58 = vector2D54.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D60, 0.0d, vector2D62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D54, vector2D60);
    boolean b65 = line13.isParallelTo(line64);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Side side66 = intervalsSet1.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)line64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    java.awt.geom.AffineTransform affineTransform0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Transform transform1 = org.apache.commons.math3.geometry.euclidean.twod.Line.getTransform(affineTransform0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(961, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 961);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D4, vector2D5);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    double d12 = vector2D5.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D13.distance1((org.apache.commons.math3.geometry.Vector)vector1D15);
    double d17 = vector1D13.getX();
    // The following exception was thrown during execution in test generation
    try {
      double d18 = vector2D8.distance((org.apache.commons.math3.geometry.Vector)vector1D13);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(6.283185307179586d, 1079410688);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(d_array1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.718281817253452d, (-1.2261911708835171d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.718281817253452d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2204032943178408E39d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d15 = vector1D5.distance((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D2, vector1D5);
    double d17 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.Vector vector19 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D5.subtract(Double.NaN, vector19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math3.geometry.euclidean.threed.Line line0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Line line1 = new org.apache.commons.math3.geometry.euclidean.threed.Line(line0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(99.0d, 0.0d, 2.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane21 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D17, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = vector3D20.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = vector3D20.orthogonal();
    plane10.reset(vector3D16, vector3D23);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane35 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = vector3D34.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane41 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D37, vector3D40);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = vector3D40.orthogonal();
    plane30.reset(vector3D36, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D49 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d50 = vector1D49.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D51 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d52 = vector1D51.getNorm();
    double d53 = vector1D49.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D51);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D54 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d55 = vector1D54.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D56 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d57 = vector1D56.getNorm();
    double d58 = vector1D54.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D56);
    double d59 = vector1D49.distance((org.apache.commons.math3.geometry.Vector)vector1D56);
    boolean b60 = vector3D48.equals((java.lang.Object)vector1D49);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D16, 0.03341256700064158d, vector3D36, 0.9999999958776927d, vector3D48);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = vector2D4.subtract((org.apache.commons.math3.geometry.Vector)vector3D36);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.Vector vector18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = line11.getOffset(vector18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(0.0d, 1.2204032943178408E39d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    double d3 = vector3D2.getZ();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.9992068341863537d));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(1, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    org.apache.commons.math3.geometry.Vector vector2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = vector3D0.add(1.0d, vector2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(22026.465794806718d, 0.03341256700064158d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1074790400);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane20 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D16, vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D19, vector3D21);
    double d23 = vector3D21.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = vector3D21.orthogonal();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = orientedPoint15.getOffset((org.apache.commons.math3.geometry.Vector)vector3D21);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(8.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3956.7778831817327d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.629395E-6f);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4.944515159673473E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.944515159673474E42d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.725616308761716d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d18 = vector1D17.getNorm();
    double d19 = vector1D15.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D17);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d23 = vector1D22.getNorm();
    double d24 = vector1D20.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D22);
    double d25 = vector1D15.distance((org.apache.commons.math3.geometry.Vector)vector1D22);
    double d26 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D12, vector1D15);
    double d27 = vector1D15.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = vector3D0.subtract(Double.POSITIVE_INFINITY, (org.apache.commons.math3.geometry.Vector)vector1D15);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0f, 7.6293945E-6f, 1079410688);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(99.0d, 2.2250738585072014E-308d, 4.944515159673473E42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array9 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 10);
    double[] d_array11 = new double[] { 1.0d };
    double[] d_array14 = new double[] { 100.0d, 10.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array11, d_array14);
    double d16 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array11);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double[] d_array23 = vector2D22.toArray();
    double d24 = org.apache.commons.math3.util.MathArrays.distance(d_array11, d_array23);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException30 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection28, true);
    boolean b33 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array11, orderDirection28, true, false);
    double[] d_array35 = new double[] { 1.0d };
    double[] d_array38 = new double[] { 100.0d, 10.0d };
    double d39 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array35, d_array38);
    double d40 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array35);
    double[] d_array41 = org.apache.commons.math3.util.MathArrays.copyOf(d_array35);
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.copyOf(d_array35, 10);
    double[][] d_array_array44 = new double[][] { d_array43 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array1, orderDirection28, d_array_array44);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.2261911708835171d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(3956.7778831817327d, 5.192987713658941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19887387977288543d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-2.718281817253452d), 0.03341256700064158d, 3956.7778831817327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.2204032943178408E39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(99.0d, (-1.0d), 0.0d, (-2.718281817253452d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-99.0d));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.5574077246549023d), 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6616199318501765d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    double d21 = vector2D13.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0542828007750633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7199267849768767d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    int[] i_array0 = null;
    int[] i_array3 = new int[] { (-1), 0 };
    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array0, i_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line51 = line36.copySelf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D53 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D53);
    // The following exception was thrown during execution in test generation
    try {
      double d55 = line51.getOffset((org.apache.commons.math3.geometry.Vector)vector3D54);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.0542828007750633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0267827427333707d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    double d17 = vector1D13.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D15);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    double d22 = vector1D18.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D20);
    double d23 = vector1D13.distance((org.apache.commons.math3.geometry.Vector)vector1D20);
    boolean b24 = vector3D12.equals((java.lang.Object)vector1D13);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane34 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D30, vector3D33);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = vector3D33.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D36, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D39.orthogonal();
    plane29.reset(vector3D35, vector3D42);
    double d44 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D12, vector3D42);
    boolean b45 = plane8.contains(vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Line line46 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = plane8.intersection(line46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.8635565787531596d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = vector2D13.negate();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D26, vector2D27);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    double d34 = vector2D27.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D30);
    double d35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D21, vector2D30);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d37 = vector3D36.getY();
    double d38 = vector3D36.getNormSq();
    // The following exception was thrown during execution in test generation
    try {
      double d39 = vector2D30.dotProduct((org.apache.commons.math3.geometry.Vector)vector3D36);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(2.2250738585072014E-308d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(100.0f, (-1), 1079410688);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane5 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.orthogonal();
    plane5.reset(vector3D11, vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane36 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D32, vector3D35);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = vector3D35.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = vector3D35.orthogonal();
    plane25.reset(vector3D31, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d45 = vector1D44.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D46 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d47 = vector1D46.getNorm();
    double d48 = vector1D44.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D46);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D49 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d50 = vector1D49.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D51 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d52 = vector1D51.getNorm();
    double d53 = vector1D49.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D51);
    double d54 = vector1D44.distance((org.apache.commons.math3.geometry.Vector)vector1D51);
    boolean b55 = vector3D43.equals((java.lang.Object)vector1D44);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D11, 0.03341256700064158d, vector3D31, 0.9999999958776927d, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D58);
    double d60 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D56, vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0764266859446847d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(99.0d, 0.9999999999999999d, (-99.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.8421709430404007E-14d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane1 = null;
    org.apache.commons.math3.geometry.partitioning.BoundaryAttribute boundaryAttribute2 = new org.apache.commons.math3.geometry.partitioning.BoundaryAttribute(subHyperplane0, subHyperplane1);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane3 = boundaryAttribute2.getPlusOutside();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane4 = boundaryAttribute2.getPlusInside();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane5 = boundaryAttribute2.getPlusOutside();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane5);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    int i6 = org.apache.commons.math3.util.MathUtils.hash(d_array5);
    double[] d_array8 = new double[] { 1.0d };
    double[] d_array11 = new double[] { 100.0d, 10.0d };
    double d12 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array8, d_array11);
    double d13 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array8);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection14 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array19 = new double[] { 100.0d, 10.0d };
    double d20 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array16, d_array19);
    double[][] d_array_array21 = new double[][] { d_array16 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array8, orderDirection14, d_array_array21);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array8);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array5, d_array8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 961);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D9, 0.0d, vector2D11);
    double[] d_array13 = vector2D12.toArray();
    double d14 = org.apache.commons.math3.util.MathArrays.distance(d_array1, d_array13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array13);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    double d16 = vector1D12.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D14);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d18 = vector1D17.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d20 = vector1D19.getNorm();
    double d21 = vector1D17.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D19);
    double d22 = vector1D12.distance((org.apache.commons.math3.geometry.Vector)vector1D19);
    boolean b23 = vector3D11.equals((java.lang.Object)vector1D12);
    double d24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D8, vector3D11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D25 = vector1D0.subtract((-1.5574077246549023d), (org.apache.commons.math3.geometry.Vector)vector3D8);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = polygonsSet1.buildNew(bSPTree2);
    org.apache.commons.math3.geometry.Vector vector4 = polygonsSet1.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region5 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree6 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet7 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet(bSPTree6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region region8 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region5);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    boolean b5 = vector1D2.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D7.normalize();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D11, vector1D12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = plane8.copySelf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(plane9);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    float[] f_array2 = new float[] { 100.0f, (-1.0f) };
    float[] f_array3 = new float[] {  };
    float[] f_array5 = new float[] { 100.0f };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equals(f_array3, f_array5);
    boolean b7 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array2, f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(100.0f, 1074790400, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3220845906399879d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(10L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-1), 1079558144);
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException3.getSuppressed();
    java.lang.Number number5 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1)+ "'", number5.equals((-1)));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d15 = vector1D5.distance((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D2, vector1D5);
    double d17 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    double d22 = vector1D18.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D20);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d24 = vector1D23.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D25 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d26 = vector1D25.getNorm();
    double d27 = vector1D23.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D25);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d29 = vector1D28.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d31 = vector1D30.getNorm();
    double d32 = vector1D28.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D30);
    double d33 = vector1D23.distance((org.apache.commons.math3.geometry.Vector)vector1D30);
    double d34 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D20, vector1D23);
    double d35 = vector1D23.getNorm();
    java.lang.String str36 = vector1D23.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = vector1D23.scalarMultiply(Double.POSITIVE_INFINITY);
    double d39 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D5, vector1D23);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane44 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D40, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = vector3D43.orthogonal();
    // The following exception was thrown during execution in test generation
    try {
      double d47 = vector1D23.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D43);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "{1}"+ "'", str36.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = polygonsSet1.buildNew(bSPTree2);
    org.apache.commons.math3.geometry.Vector vector4 = polygonsSet1.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region5 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree7 = polygonsSet1.getTree(false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree7);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d0 = org.apache.commons.math3.util.FastMath.E;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 2.718281828459045d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(Float.NaN, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane17 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D13, vector3D16);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane22 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D18, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane28 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D24, vector3D27);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = vector3D27.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D27.orthogonal();
    plane17.reset(vector3D23, vector3D30);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane37 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D33, vector3D36);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane42 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D38, vector3D41);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = vector3D41.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane48 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D44, vector3D47);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D49 = vector3D47.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = vector3D47.orthogonal();
    plane37.reset(vector3D43, vector3D50);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D56 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d57 = vector1D56.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D58 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d59 = vector1D58.getNorm();
    double d60 = vector1D56.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D58);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D61 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d62 = vector1D61.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D63 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d64 = vector1D63.getNorm();
    double d65 = vector1D61.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D63);
    double d66 = vector1D56.distance((org.apache.commons.math3.geometry.Vector)vector1D63);
    boolean b67 = vector3D55.equals((java.lang.Object)vector1D56);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D23, 0.03341256700064158d, vector3D43, 0.9999999958776927d, vector3D55);
    // The following exception was thrown during execution in test generation
    try {
      double d69 = vector2D1.dotProduct((org.apache.commons.math3.geometry.Vector)vector3D23);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b4 = vector3D3.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b6 = vector3D5.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D3.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D5);
    boolean b8 = vector3D3.isInfinite();
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D0, vector3D3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D7.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D12.distance1((org.apache.commons.math3.geometry.Vector)vector1D14);
    double d16 = vector1D12.getX();
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D11, vector1D12);
    double d18 = vector1D11.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 4.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    double d4 = vector1D0.getX();
    java.lang.String str5 = vector1D0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{1}"+ "'", str5.equals("{1}"));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.0267827427333707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.718281817253452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.15426207166677d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet(bSPTree0);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D4 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d5 = vector1D4.getNorm();
    double d6 = vector1D2.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D4);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d10 = vector1D9.getNorm();
    double d11 = vector1D7.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D9);
    double d12 = vector1D2.distance((org.apache.commons.math3.geometry.Vector)vector1D9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region.Location location13 = polygonsSet1.checkPoint((org.apache.commons.math3.geometry.Vector)vector1D9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D14, 0.0d, vector2D16);
    double d18 = vector2D14.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D20, 0.0d, vector2D22);
    org.apache.commons.math3.geometry.euclidean.twod.Line line24 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D14, vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    line24.translateToPoint(vector2D26);
    double d31 = vector2D26.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D26, vector2D32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = line11.toSpace((org.apache.commons.math3.geometry.Vector)vector2D32);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999441852112454d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-2.718281817253452d), 10.0d, 0.9999999999999999d, 2.220446049250313E-16d, (-2.718281817253452d), 4.944515159673473E42d, 1.0267827427333707d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.344058565367445E43d));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, (-0.6616199318501765d), 3956.7778831817327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.27034258274442147d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    double d7 = vector1D2.distance((org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d10 = vector1D9.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    double d13 = vector1D9.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d17 = vector1D16.getNorm();
    double d18 = vector1D14.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D16);
    double d19 = vector1D9.distance((org.apache.commons.math3.geometry.Vector)vector1D16);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D16.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D2.add(4.944515159673473E42d, (org.apache.commons.math3.geometry.Vector)vector1D20);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint23 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D20, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D9, 0.0d, vector2D11);
    double[] d_array13 = vector2D12.toArray();
    double d14 = org.apache.commons.math3.util.MathArrays.distance(d_array1, d_array13);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException21 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection19, true);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    double[] d_array27 = vector2D26.toArray();
    int i28 = org.apache.commons.math3.util.MathUtils.hash(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array1, orderDirection19, d_array_array29);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 961);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 110.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.3220845906399879d, Double.POSITIVE_INFINITY, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d15 = vector1D5.distance((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D2, vector1D5);
    double d17 = vector1D5.getNorm();
    java.lang.String str18 = vector1D5.toString();
    org.apache.commons.math3.geometry.Space space19 = vector1D5.getSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{1}"+ "'", str18.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space19);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1079410688);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1079410688);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b3 = vector3D2.isNaN();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D5, 0.0d, vector2D7);
    double d9 = vector2D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D11, 0.0d, vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D5, vector2D11);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D17, 0.0d, vector2D19);
    line15.translateToPoint(vector2D17);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    double d27 = vector2D23.getNorm();
    boolean b28 = line15.contains(vector2D23);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    double d34 = vector2D30.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D36, 0.0d, vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Line line40 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D30, vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D42, 0.0d, vector2D44);
    line40.translateToPoint(vector2D42);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D48, 0.0d, vector2D50);
    double d52 = vector2D48.getNorm();
    boolean b53 = line40.contains(vector2D48);
    boolean b54 = line15.isParallelTo(line40);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D55 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d56 = vector1D55.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D57 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d58 = vector1D57.getNorm();
    double d59 = vector1D55.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D57);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D60 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d61 = vector1D60.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D62 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d63 = vector1D62.getNorm();
    double d64 = vector1D60.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D62);
    double d65 = vector1D55.distance((org.apache.commons.math3.geometry.Vector)vector1D62);
    boolean b67 = vector1D55.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = line15.getPointAt(vector1D55, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D70 = vector3D2.subtract((org.apache.commons.math3.geometry.Vector)vector2D69);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b1 = vector3D0.isInfinite();
    boolean b2 = vector3D0.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d5 = vector3D4.getY();
    double d6 = vector3D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D3, vector3D4);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D9, 0.0d, vector2D11);
    double d13 = vector2D9.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D15, 0.0d, vector2D17);
    org.apache.commons.math3.geometry.euclidean.twod.Line line19 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D9, vector2D15);
    // The following exception was thrown during execution in test generation
    try {
      boolean b20 = plane7.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line19);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0f, (-0.4659128780818629d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    double d10 = vector1D6.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d16 = vector1D6.distance((org.apache.commons.math3.geometry.Vector)vector1D13);
    boolean b17 = vector3D5.equals((java.lang.Object)vector1D6);
    double d18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = vector3D2.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    double d17 = vector1D13.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D15);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    double d22 = vector1D18.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D20);
    double d23 = vector1D13.distance((org.apache.commons.math3.geometry.Vector)vector1D20);
    boolean b24 = vector3D12.equals((java.lang.Object)vector1D13);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane34 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D30, vector3D33);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = vector3D33.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D36, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D39.orthogonal();
    plane29.reset(vector3D35, vector3D42);
    double d44 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D12, vector3D42);
    boolean b45 = plane8.contains(vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D47);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D49 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d51 = vector3D50.getY();
    double d52 = vector3D50.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane53 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D48, vector3D49, vector3D50);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d55 = vector3D54.getY();
    double d56 = vector3D54.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane61 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D57, vector3D60);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d63 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D60, vector3D62);
    double d64 = vector3D62.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D65 = vector3D62.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D66 = vector3D62.negate();
    plane53.reset(vector3D54, vector3D66);
    boolean b68 = plane8.isSimilarTo(plane53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line12);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet68 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(Double.POSITIVE_INFINITY, 2.2250738585072014E-308d);
    org.apache.commons.math3.geometry.euclidean.threed.SubPlane subPlane69 = new org.apache.commons.math3.geometry.euclidean.threed.SubPlane((org.apache.commons.math3.geometry.partitioning.Hyperplane)line62, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet68);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D70 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane74 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D70, vector3D73);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D75 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D78 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane79 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D75, vector3D78);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D80 = vector3D78.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D81 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D84 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane85 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D81, vector3D84);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D86 = vector3D84.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D87 = vector3D84.orthogonal();
    plane74.reset(vector3D80, vector3D87);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D89 = plane74.getV();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Side side90 = subPlane69.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)plane74);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    orientedPoint15.revertSelf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(99.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane5 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.orthogonal();
    plane5.reset(vector3D11, vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane36 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D32, vector3D35);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = vector3D35.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = vector3D35.orthogonal();
    plane25.reset(vector3D31, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d45 = vector1D44.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D46 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d47 = vector1D46.getNorm();
    double d48 = vector1D44.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D46);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D49 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d50 = vector1D49.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D51 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d52 = vector1D51.getNorm();
    double d53 = vector1D49.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D51);
    double d54 = vector1D44.distance((org.apache.commons.math3.geometry.Vector)vector1D51);
    boolean b55 = vector3D43.equals((java.lang.Object)vector1D44);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D11, 0.03341256700064158d, vector3D31, 0.9999999958776927d, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = vector3D11.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D9, vector3D11);
    double d13 = vector3D11.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d22 = vector1D21.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d24 = vector1D23.getNorm();
    double d25 = vector1D21.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D23);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d27 = vector1D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d29 = vector1D28.getNorm();
    double d30 = vector1D26.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D28);
    double d31 = vector1D21.distance((org.apache.commons.math3.geometry.Vector)vector1D28);
    boolean b32 = vector3D20.equals((java.lang.Object)vector1D21);
    double d33 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D17, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.03983029990200271d, vector3D4, 0.9999999999999999d, vector3D11, 2.8421709430404007E-14d, vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.6616199318501765d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.01154744620760608d));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = polygonsSet1.buildNew(bSPTree2);
    org.apache.commons.math3.geometry.Vector vector4 = polygonsSet1.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region5 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet1);
    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory6 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet7 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d13 = vector3D12.getY();
    double d14 = vector3D12.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D10, vector3D11, vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = plane15.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation17 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet18 = polyhedronsSet7.rotate(vector3D16, rotation17);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree20 = polyhedronsSet7.getTree(true);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet21 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree22 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet23 = polygonsSet21.buildNew(bSPTree22);
    org.apache.commons.math3.geometry.Vector vector24 = polygonsSet21.getBarycenter();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane35 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = vector3D34.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane41 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D37, vector3D40);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D40.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = vector3D40.orthogonal();
    plane30.reset(vector3D36, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane50 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D46, vector3D49);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane55 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D51, vector3D54);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = vector3D54.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane61 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D57, vector3D60);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = vector3D60.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D63 = vector3D60.orthogonal();
    plane50.reset(vector3D56, vector3D63);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D69 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d70 = vector1D69.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D71 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d72 = vector1D71.getNorm();
    double d73 = vector1D69.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D71);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D74 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d75 = vector1D74.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D76 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d77 = vector1D76.getNorm();
    double d78 = vector1D74.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D76);
    double d79 = vector1D69.distance((org.apache.commons.math3.geometry.Vector)vector1D76);
    boolean b80 = vector3D68.equals((java.lang.Object)vector1D69);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D81 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D36, 0.03341256700064158d, vector3D56, 0.9999999958776927d, vector3D68);
    org.apache.commons.math3.geometry.partitioning.Region.Location location82 = polygonsSet21.checkPoint((org.apache.commons.math3.geometry.Vector)vector3D56);
    boolean b83 = polygonsSet21.isEmpty();
    org.apache.commons.math3.geometry.partitioning.Region region84 = regionFactory6.intersection((org.apache.commons.math3.geometry.partitioning.Region)polyhedronsSet7, (org.apache.commons.math3.geometry.partitioning.Region)polygonsSet21);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree85 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree86 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    bSPTree85.insertInTree(bSPTree86, true);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet89 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet(bSPTree86);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region region90 = regionFactory0.xor((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet21, (org.apache.commons.math3.geometry.partitioning.Region)polyhedronsSet89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region84);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = plane4.getPointAt(vector2D5, Double.NEGATIVE_INFINITY);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    double d11 = vector3D10.getNorm();
    double d12 = vector3D7.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet68 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(Double.POSITIVE_INFINITY, 2.2250738585072014E-308d);
    org.apache.commons.math3.geometry.euclidean.threed.SubPlane subPlane69 = new org.apache.commons.math3.geometry.euclidean.threed.SubPlane((org.apache.commons.math3.geometry.partitioning.Hyperplane)line62, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet68);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D70 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane74 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D70, vector3D73);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane75 = subPlane69.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)plane74);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0f), (-1.0f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection3, true);
    java.lang.Number number6 = nonMonotonicSequenceException5.getArgument();
    java.lang.Number number7 = nonMonotonicSequenceException5.getPrevious();
    int i8 = nonMonotonicSequenceException5.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1)+ "'", number6.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1L+ "'", number7.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = polygonsSet1.buildNew(bSPTree2);
    org.apache.commons.math3.geometry.Vector vector4 = polygonsSet1.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region5 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet1);
    boolean b6 = polygonsSet1.isEmpty();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(Float.NaN, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = polygonsSet1.buildNew(bSPTree2);
    org.apache.commons.math3.geometry.Vector vector4 = polygonsSet1.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region5 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet1);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet6 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet7 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d13 = vector3D12.getY();
    double d14 = vector3D12.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D10, vector3D11, vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = plane15.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation17 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet18 = polyhedronsSet7.rotate(vector3D16, rotation17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b22 = vector3D21.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b24 = vector3D23.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = vector3D21.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D23);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet26 = polyhedronsSet7.translate(vector3D25);
    org.apache.commons.math3.geometry.Vector vector27 = null;
    org.apache.commons.math3.geometry.partitioning.Region.Location location28 = polyhedronsSet7.checkPoint(vector27);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d30 = vector3D29.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane35 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = vector3D34.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane37 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D29, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = plane37.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d43 = vector1D42.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d45 = vector1D44.getNorm();
    double d46 = vector1D42.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D44);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D47 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d48 = vector1D47.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D49 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d50 = vector1D49.getNorm();
    double d51 = vector1D47.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D49);
    double d52 = vector1D42.distance((org.apache.commons.math3.geometry.Vector)vector1D49);
    boolean b53 = vector3D41.equals((java.lang.Object)vector1D42);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane58 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D54, vector3D57);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane63 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D59, vector3D62);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D64 = vector3D62.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D65 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D68 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane69 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D65, vector3D68);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D70 = vector3D68.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D71 = vector3D68.orthogonal();
    plane58.reset(vector3D64, vector3D71);
    double d73 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D41, vector3D71);
    boolean b74 = plane37.contains(vector3D41);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet75 = polyhedronsSet7.translate(vector3D41);
    org.apache.commons.math3.geometry.partitioning.Region region76 = regionFactory0.union((org.apache.commons.math3.geometry.partitioning.Region)intervalsSet6, (org.apache.commons.math3.geometry.partitioning.Region)polyhedronsSet7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region76);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d13 = vector3D12.getY();
    double d14 = vector3D12.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D10, vector3D11, vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d17 = vector3D16.getY();
    double d18 = vector3D16.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane23 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D19, vector3D22);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D22, vector3D24);
    double d26 = vector3D24.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = vector3D24.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = vector3D24.negate();
    plane15.reset(vector3D16, vector3D28);
    double d30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D7, vector3D16);
    double d31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D5, vector3D7);
    org.apache.commons.math3.geometry.Vector vector33 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = vector3D5.add((-1.344058565367445E43d), vector33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    double d21 = vector2D13.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane26 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D22, vector3D25);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d28 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D25, vector3D27);
    double d29 = vector3D27.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D27.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = vector3D27.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = vector2D13.subtract((org.apache.commons.math3.geometry.Vector)vector3D27);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(0.0d, 2.718281828459045d, 0.27034258274442147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.4479392457146236d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    double[] d_array2 = new double[] { (-1.0d), 0.0d };
    double[] d_array4 = new double[] { 1.0d };
    double[] d_array7 = new double[] { 100.0d, 10.0d };
    double d8 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array4, d_array7);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = org.apache.commons.math3.util.MathArrays.distance(d_array2, d_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 99.0d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet1 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree0);
    // The following exception was thrown during execution in test generation
    try {
      double d2 = intervalsSet1.getSup();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    double d11 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array7, d_array10);
    double d12 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array7);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 10);
    double d16 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array5, d_array15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    line11.revertSelf();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet65 = line11.wholeSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet65);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d11 = vector3D10.getY();
    double d12 = vector3D10.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane13 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D8, vector3D9, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d15 = vector3D14.getY();
    double d16 = vector3D14.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane21 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D17, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D20, vector3D22);
    double d24 = vector3D22.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = vector3D22.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = vector3D22.negate();
    plane13.reset(vector3D14, vector3D26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = vector1D0.subtract(0.9999999958776927d, (org.apache.commons.math3.geometry.Vector)vector3D26);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable2, (-1), 1079558144);
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(byte)100, localizable9, obj_array11);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array11);
    java.lang.Throwable[] throwable_array14 = mathIllegalArgumentException13.getSuppressed();
    dimensionMismatchException5.addSuppressed((java.lang.Throwable)mathIllegalArgumentException13);
    java.lang.Throwable[] throwable_array16 = mathIllegalArgumentException13.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    java.lang.Object[] obj_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException18, localizable19, obj_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D4, vector2D5);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    double d12 = vector2D5.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D8);
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D8, 22026.465794806718d);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = line14.getReverse();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line15);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    java.lang.String str13 = vector1D0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{1}"+ "'", str13.equals("{1}"));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.6616199318501765d), (-0.9992068341863537d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9992068341863537d));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.9992068341863537d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.36817134631701054d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    double d4 = vector1D2.getNorm();
    double d5 = vector1D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    double d10 = vector1D6.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d16 = vector1D6.distance((org.apache.commons.math3.geometry.Vector)vector1D13);
    boolean b18 = vector1D6.equals((java.lang.Object)(byte)100);
    double d19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D2, vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-1.5574077246549023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0d));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.NEGATIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d2 = vector1D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d4 = vector1D3.getNorm();
    double d5 = vector1D1.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D3);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    double d8 = vector1D3.distance((org.apache.commons.math3.geometry.Vector)vector1D6);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d18 = vector1D17.getNorm();
    double d19 = vector1D15.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D17);
    double d20 = vector1D10.distance((org.apache.commons.math3.geometry.Vector)vector1D17);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D17.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = vector1D3.add(4.944515159673473E42d, (org.apache.commons.math3.geometry.Vector)vector1D21);
    double d23 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.999441852112454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.26379999478179d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.3220845906399879d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = vector2D13.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 155.74607629780772d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D55, vector2D56);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D59, 0.0d, vector2D61);
    double d63 = vector2D56.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D59);
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D59, 22026.465794806718d);
    boolean b66 = line11.contains(vector2D59);
    double d67 = line11.getAngle();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    java.lang.Number number0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math3.exception.NotFiniteNumberException(number0, obj_array1);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    java.lang.String str25 = vector2D19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "{0; 0}"+ "'", str25.equals("{0; 0}"));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.03341256700064158d, 0.19887387977288543d, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    double d4 = vector1D0.getX();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D6, 0.0d, vector2D8);
    double d10 = vector2D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D12, 0.0d, vector2D14);
    org.apache.commons.math3.geometry.euclidean.twod.Line line16 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D6, vector2D12);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D18, 0.0d, vector2D20);
    line16.translateToPoint(vector2D18);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D24, 0.0d, vector2D26);
    double d28 = vector2D24.getNorm();
    boolean b29 = line16.contains(vector2D24);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = vector1D0.subtract((org.apache.commons.math3.geometry.Vector)vector2D24);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet5 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet((-0.6616199318501765d), 99.0d, (-0.9992068341863537d), (-0.01154744620760608d));
    org.apache.commons.math3.geometry.partitioning.Region region6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region region7 = regionFactory0.intersection((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet5, region6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    java.lang.Comparable[] comparable_array1 = new java.lang.Comparable[] { (byte)10 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection2 = null;
    boolean b4 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array1, orderDirection2, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Line line26 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D19, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D28);
    double d30 = vector3D29.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane35 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D36, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane46 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D42, vector3D45);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = vector3D45.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = vector3D45.orthogonal();
    plane35.reset(vector3D41, vector3D48);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = plane35.getV();
    double d51 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D29, vector3D50);
    // The following exception was thrown during execution in test generation
    try {
      double d52 = vector2D19.distanceInf((org.apache.commons.math3.geometry.Vector)vector3D50);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 99.0d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    double d7 = vector1D2.distance((org.apache.commons.math3.geometry.Vector)vector1D5);
    double d8 = vector1D2.getNormSq();
    double d9 = vector1D2.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double d8 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0d, 0.36817134631701054d, 1.0542828007750633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    double[][] d_array_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array5, d_array_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    bSPTree0.setAttribute((java.lang.Object)"{1}");
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D4, 0.0d, vector2D6);
    double d8 = vector2D4.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D10, 0.0d, vector2D12);
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D16, 0.0d, vector2D18);
    line14.translateToPoint(vector2D16);
    double d21 = vector2D16.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D16, vector2D22);
    double d24 = vector2D16.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D51, 0.0d, vector2D53);
    double d55 = vector2D51.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D57, 0.0d, vector2D59);
    org.apache.commons.math3.geometry.euclidean.twod.Line line61 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D51, vector2D57);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D66 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D63, 0.0d, vector2D65);
    line61.translateToPoint(vector2D63);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D69, 0.0d, vector2D71);
    double d73 = vector2D69.getNorm();
    boolean b74 = line61.contains(vector2D69);
    boolean b75 = line36.isParallelTo(line61);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D76 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d77 = vector1D76.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D78 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d79 = vector1D78.getNorm();
    double d80 = vector1D76.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D78);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D81 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d82 = vector1D81.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D83 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d84 = vector1D83.getNorm();
    double d85 = vector1D81.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D83);
    double d86 = vector1D76.distance((org.apache.commons.math3.geometry.Vector)vector1D83);
    boolean b88 = vector1D76.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D90 = line36.getPointAt(vector1D76, 100.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine91 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D16, vector2D90);
    boolean b92 = subLine91.isEmpty();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree93 = bSPTree0.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine91);
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor94 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree93.visit(bSPTreeVisitor94);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree93);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet4 = polygonsSet2.buildNew(bSPTree3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion5 = polygonsSet2.copySelf();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet4);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection3, true);
    int i6 = nonMonotonicSequenceException5.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException5.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = vector2D13.negate();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D26, vector2D27);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    double d34 = vector2D27.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D30);
    double d35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D21, vector2D30);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet36 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d42 = vector3D41.getY();
    double d43 = vector3D41.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane44 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D39, vector3D40, vector3D41);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = plane44.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation46 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet47 = polyhedronsSet36.rotate(vector3D45, rotation46);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = vector2D30.subtract((org.apache.commons.math3.geometry.Vector)vector3D45);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet47);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    boolean b16 = orientedPoint14.isDirect();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D18, 0.0d, vector2D20);
    double d22 = vector2D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D24, 0.0d, vector2D26);
    org.apache.commons.math3.geometry.euclidean.twod.Line line28 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D18, vector2D24);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    line28.translateToPoint(vector2D30);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D36, 0.0d, vector2D38);
    double d40 = vector2D36.getNorm();
    boolean b41 = line28.contains(vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D43, 0.0d, vector2D45);
    double d47 = vector2D43.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D49 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D49, 0.0d, vector2D51);
    org.apache.commons.math3.geometry.euclidean.twod.Line line53 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D43, vector2D49);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D55, 0.0d, vector2D57);
    line53.translateToPoint(vector2D55);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D64 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D61, 0.0d, vector2D63);
    double d65 = vector2D61.getNorm();
    boolean b66 = line53.contains(vector2D61);
    boolean b67 = line28.isParallelTo(line53);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D69, 0.0d, vector2D71);
    double d73 = vector2D69.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D75 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D77 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D78 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D75, 0.0d, vector2D77);
    org.apache.commons.math3.geometry.euclidean.twod.Line line79 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D69, vector2D75);
    boolean b80 = line28.isParallelTo(line79);
    org.apache.commons.math3.geometry.euclidean.twod.Line line81 = line79.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line82 = line79.getReverse();
    // The following exception was thrown during execution in test generation
    try {
      boolean b83 = orientedPoint14.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line79);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line82);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    boolean b1 = polygonsSet0.isEmpty();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.Space space3 = vector3D2.getSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space3);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-0.4659128780818629d), Double.POSITIVE_INFINITY);
    org.apache.commons.math3.geometry.Vector vector3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = vector2D2.distanceInf(vector3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0007933312687065d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException0 = new org.apache.commons.math3.exception.MathIllegalStateException();

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D14.orthogonal();
    plane4.reset(vector3D10, vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane23 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D19, vector3D22);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D22, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane26 = plane4.translate(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(plane26);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.27034258274442147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-969420190));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet1 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d3 = vector3D2.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D4, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = vector3D7.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = plane10.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Line line12 = null;
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane13 = polyhedronsSet1.firstIntersection(vector3D11, line12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d16 = vector3D15.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane21 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D17, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = vector3D20.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane23 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D15, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = plane23.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D29, vector3D31);
    double d33 = vector3D31.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane39 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D35, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane44 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D40, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D49 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane50 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D46, vector3D49);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = vector3D49.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D52 = vector3D49.orthogonal();
    plane39.reset(vector3D45, vector3D52);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D55 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane59 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D55, vector3D58);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D60 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane64 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D60, vector3D63);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D65 = vector3D63.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D66 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D69 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane70 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D66, vector3D69);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D71 = vector3D69.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D72 = vector3D69.orthogonal();
    plane59.reset(vector3D65, vector3D72);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D77 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D78 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d79 = vector1D78.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D80 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d81 = vector1D80.getNorm();
    double d82 = vector1D78.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D80);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D83 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d84 = vector1D83.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D85 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d86 = vector1D85.getNorm();
    double d87 = vector1D83.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D85);
    double d88 = vector1D78.distance((org.apache.commons.math3.geometry.Vector)vector1D85);
    boolean b89 = vector3D77.equals((java.lang.Object)vector1D78);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D90 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D45, 0.03341256700064158d, vector3D65, 0.9999999958776927d, vector3D77);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane91 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D77);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D96 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D97 = vector3D96.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D98 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(8.283185307179586d, vector3D11, (-2.0d), vector3D24, (-0.4659128780818629d), vector3D77, 2.718281817253452d, vector3D97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D97);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(110.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D55, vector2D56);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D59, 0.0d, vector2D61);
    double d63 = vector2D56.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D59);
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D59, 22026.465794806718d);
    boolean b66 = line11.contains(vector2D59);
    double d67 = vector2D59.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4E-45f, Float.NaN, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = vector2D13.negate();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D26, vector2D27);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    double d34 = vector2D27.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D30);
    double d35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D21, vector2D30);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    double d41 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D39, vector3D40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = vector2D21.add(155.74607629780772d, (org.apache.commons.math3.geometry.Vector)vector3D40);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == (-0.4659128780818629d));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet68 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(Double.POSITIVE_INFINITY, 2.2250738585072014E-308d);
    org.apache.commons.math3.geometry.euclidean.threed.SubPlane subPlane69 = new org.apache.commons.math3.geometry.euclidean.threed.SubPlane((org.apache.commons.math3.geometry.partitioning.Hyperplane)line62, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet68);
    boolean b70 = subPlane69.isEmpty();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D72 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D72);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D74 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D75 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d76 = vector3D75.getY();
    double d77 = vector3D75.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane78 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D73, vector3D74, vector3D75);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D79 = plane78.getU();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.SubHyperplane.SplitSubHyperplane splitSubHyperplane80 = subPlane69.split((org.apache.commons.math3.geometry.partitioning.Hyperplane)plane78);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D79);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d2 = vector1D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d4 = vector1D3.getNorm();
    double d5 = vector1D1.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D3);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    double d10 = vector1D6.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d16 = vector1D6.distance((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D3, vector1D6);
    double d18 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d20 = vector1D19.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d22 = vector1D21.getNorm();
    double d23 = vector1D19.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D21);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d25 = vector1D24.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d27 = vector1D26.getNorm();
    double d28 = vector1D24.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D26);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D29 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d30 = vector1D29.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D31 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d32 = vector1D31.getNorm();
    double d33 = vector1D29.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D31);
    double d34 = vector1D24.distance((org.apache.commons.math3.geometry.Vector)vector1D31);
    double d35 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D21, vector1D24);
    double d36 = vector1D24.getNorm();
    java.lang.String str37 = vector1D24.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D39 = vector1D24.scalarMultiply(Double.POSITIVE_INFINITY);
    double d40 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D6, vector1D24);
    double d41 = vector1D24.getNorm1();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D43 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d44 = vector1D43.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D45 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d46 = vector1D45.getNorm();
    double d47 = vector1D43.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D45);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D48 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d49 = vector1D48.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D50 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d51 = vector1D50.getNorm();
    double d52 = vector1D48.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D50);
    double d53 = vector1D43.distance((org.apache.commons.math3.geometry.Vector)vector1D50);
    boolean b55 = vector1D43.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint57 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D43, true);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D58 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(1.0267827427333707d, vector1D24, 2.8421709430404007E-14d, vector1D43);
    double d59 = vector1D43.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "{1}"+ "'", str37.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D2, 0.0d, vector2D4);
    double d6 = vector2D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D2, vector2D8);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D14, 0.0d, vector2D16);
    line12.translateToPoint(vector2D14);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D20, 0.0d, vector2D22);
    double d24 = vector2D20.getNorm();
    boolean b25 = line12.contains(vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D27, 0.0d, vector2D29);
    double d31 = vector2D27.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D33, 0.0d, vector2D35);
    org.apache.commons.math3.geometry.euclidean.twod.Line line37 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D27, vector2D33);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D39, 0.0d, vector2D41);
    line37.translateToPoint(vector2D39);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D45, 0.0d, vector2D47);
    double d49 = vector2D45.getNorm();
    boolean b50 = line37.contains(vector2D45);
    boolean b51 = line12.isParallelTo(line37);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D53, 0.0d, vector2D55);
    double d57 = vector2D53.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D59, 0.0d, vector2D61);
    org.apache.commons.math3.geometry.euclidean.twod.Line line63 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D53, vector2D59);
    boolean b64 = line12.isParallelTo(line63);
    line12.revertSelf();
    line12.setOriginOffset(22026.465794806718d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D69, 0.0d, vector2D71);
    double d73 = vector2D69.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D75 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D77 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D78 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D75, 0.0d, vector2D77);
    org.apache.commons.math3.geometry.euclidean.twod.Line line79 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D69, vector2D75);
    line12.translateToPoint(vector2D75);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D81 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(0.27034258274442147d, vector2D75);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D82 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine83 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D81, vector2D82);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D77);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D1);
    java.text.NumberFormat numberFormat3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = vector3D2.toString(numberFormat3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d1 = vector3D0.getZ();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet3 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d9 = vector3D8.getY();
    double d10 = vector3D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane11 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D7, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = plane11.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation13 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet14 = polyhedronsSet3.rotate(vector3D12, rotation13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d18 = vector1D17.getNorm();
    double d19 = vector1D15.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D17);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D22 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d23 = vector1D22.getNorm();
    double d24 = vector1D20.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D22);
    double d25 = vector1D15.distance((org.apache.commons.math3.geometry.Vector)vector1D22);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = vector1D22.normalize();
    org.apache.commons.math3.geometry.partitioning.Region.Location location27 = polyhedronsSet3.checkPoint((org.apache.commons.math3.geometry.Vector)vector1D26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = vector3D0.subtract(Double.NaN, (org.apache.commons.math3.geometry.Vector)vector1D26);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location27);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = line11.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D14, 0.0d, vector2D16);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D25, 0.0d, vector2D27);
    org.apache.commons.math3.geometry.euclidean.twod.Line line29 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D19, vector2D25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D31, 0.0d, vector2D33);
    line29.translateToPoint(vector2D31);
    line11.reset(vector2D16, vector2D31);
    org.apache.commons.math3.geometry.Vector vector37 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = vector2D16.add(vector37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D33);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D14.orthogonal();
    plane4.reset(vector3D10, vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = plane4.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane20 = plane4.copySelf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(plane20);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10240.0f);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.Space space19 = vector2D13.getSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space19);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b15 = vector3D14.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b17 = vector3D16.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = vector3D14.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D16);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet19 = polyhedronsSet0.translate(vector3D18);
    org.apache.commons.math3.geometry.Vector vector20 = null;
    org.apache.commons.math3.geometry.partitioning.Region.Location location21 = polyhedronsSet0.checkPoint(vector20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d23 = vector3D22.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane28 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D24, vector3D27);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = vector3D27.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D22, vector3D27);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = plane30.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D35 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d36 = vector1D35.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D37 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d38 = vector1D37.getNorm();
    double d39 = vector1D35.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D37);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D40 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d41 = vector1D40.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D42 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d43 = vector1D42.getNorm();
    double d44 = vector1D40.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D42);
    double d45 = vector1D35.distance((org.apache.commons.math3.geometry.Vector)vector1D42);
    boolean b46 = vector3D34.equals((java.lang.Object)vector1D35);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane51 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D47, vector3D50);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D52 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane56 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D52, vector3D55);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = vector3D55.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane62 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D58, vector3D61);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D63 = vector3D61.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D64 = vector3D61.orthogonal();
    plane51.reset(vector3D57, vector3D64);
    double d66 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D34, vector3D64);
    boolean b67 = plane30.contains(vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet68 = polyhedronsSet0.translate(vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D70 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D73 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane74 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D70, vector3D73);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D75 = vector3D73.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D76 = vector3D73.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D78 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b79 = vector3D78.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D81 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D84 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane85 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D81, vector3D84);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D86 = vector3D84.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D87 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D73, 0.725616308761716d, vector3D78, 22026.465794806718d, vector3D84);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D88 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d89 = vector3D87.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D88);
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation90 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet91 = polyhedronsSet0.rotate(vector3D88, rotation90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet91);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0f, Float.NaN, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = vector1D2.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D10.normalize();
    double d12 = vector1D11.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array12 = new double[] { 100.0d, 10.0d };
    double d13 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array9, d_array12);
    double d14 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array9);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9);
    double[][] d_array_array16 = new double[][] { d_array9 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array7, d_array_array16);
    double[] d_array18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array7, d_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(Double.POSITIVE_INFINITY, 4.944515159673473E42d, (-1.0d), 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet2 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(Double.POSITIVE_INFINITY, 2.2250738585072014E-308d);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree4 = bSPTree3.copySelf();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet5 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d11 = vector3D10.getY();
    double d12 = vector3D10.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane13 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D8, vector3D9, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = plane13.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation15 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet16 = polyhedronsSet5.rotate(vector3D14, rotation15);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree18 = polyhedronsSet5.getTree(true);
    bSPTree3.insertInTree(bSPTree18, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b21 = intervalsSet2.isEmpty(bSPTree3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree18);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D9, 0.0d, vector2D11);
    double[] d_array13 = vector2D12.toArray();
    double d14 = org.apache.commons.math3.util.MathArrays.distance(d_array1, d_array13);
    double d15 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    bSPTree0.setAttribute((java.lang.Object)"{1}");
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D4, 0.0d, vector2D6);
    double d8 = vector2D4.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D10, 0.0d, vector2D12);
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D16, 0.0d, vector2D18);
    line14.translateToPoint(vector2D16);
    double d21 = vector2D16.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D16, vector2D22);
    double d24 = vector2D16.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D51, 0.0d, vector2D53);
    double d55 = vector2D51.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D57, 0.0d, vector2D59);
    org.apache.commons.math3.geometry.euclidean.twod.Line line61 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D51, vector2D57);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D66 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D63, 0.0d, vector2D65);
    line61.translateToPoint(vector2D63);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D69, 0.0d, vector2D71);
    double d73 = vector2D69.getNorm();
    boolean b74 = line61.contains(vector2D69);
    boolean b75 = line36.isParallelTo(line61);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D76 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d77 = vector1D76.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D78 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d79 = vector1D78.getNorm();
    double d80 = vector1D76.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D78);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D81 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d82 = vector1D81.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D83 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d84 = vector1D83.getNorm();
    double d85 = vector1D81.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D83);
    double d86 = vector1D76.distance((org.apache.commons.math3.geometry.Vector)vector1D83);
    boolean b88 = vector1D76.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D90 = line36.getPointAt(vector1D76, 100.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine91 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D16, vector2D90);
    boolean b92 = subLine91.isEmpty();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree93 = bSPTree0.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine91);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree94 = bSPTree0.getParent();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree94);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = null;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D2, 0.0d, vector2D4);
    double d6 = vector2D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D2, vector2D8);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D14, 0.0d, vector2D16);
    line12.translateToPoint(vector2D14);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D20, 0.0d, vector2D22);
    double d24 = vector2D20.getNorm();
    boolean b25 = line12.contains(vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D27, 0.0d, vector2D29);
    double d31 = vector2D27.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D33, 0.0d, vector2D35);
    org.apache.commons.math3.geometry.euclidean.twod.Line line37 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D27, vector2D33);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D39, 0.0d, vector2D41);
    line37.translateToPoint(vector2D39);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D45, 0.0d, vector2D47);
    double d49 = vector2D45.getNorm();
    boolean b50 = line37.contains(vector2D45);
    boolean b51 = line12.isParallelTo(line37);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D53, 0.0d, vector2D55);
    double d57 = vector2D53.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D59, 0.0d, vector2D61);
    org.apache.commons.math3.geometry.euclidean.twod.Line line63 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D53, vector2D59);
    boolean b64 = line12.isParallelTo(line63);
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line63.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line66 = line63.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D68 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D68, 0.0d, vector2D70);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d73 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D71, vector2D72);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D75 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D77 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D78 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D75, 0.0d, vector2D77);
    double d79 = vector2D72.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D75);
    line66.reset(vector2D75, 4.944515159673474E42d);
    // The following exception was thrown during execution in test generation
    try {
      double d82 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distance(vector2D0, vector2D75);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection3, true);
    java.lang.Number number6 = nonMonotonicSequenceException5.getArgument();
    java.lang.Number number7 = nonMonotonicSequenceException5.getPrevious();
    boolean b8 = nonMonotonicSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1)+ "'", number6.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1L+ "'", number7.equals(1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-1.2261911708835171d), 0.0d, 0.03341256700064158d, 6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.2099373500535847d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D4, vector2D5);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    double d12 = vector2D5.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D8);
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D8, 22026.465794806718d);
    double d15 = vector2D8.getY();
    org.apache.commons.math3.geometry.Space space16 = vector2D8.getSpace();
    java.text.NumberFormat numberFormat17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = vector2D8.toString(numberFormat17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space16);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane5 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = vector3D4.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b10 = vector3D9.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D4, 0.725616308761716d, vector3D9, 22026.465794806718d, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d20 = vector3D18.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet21 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D23);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = vector3D26.getY();
    double d28 = vector3D26.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D24, vector3D25, vector3D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = plane29.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation31 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet32 = polyhedronsSet21.rotate(vector3D30, rotation31);
    double d33 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D18, vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 27393.412534359384d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math3.geometry.partitioning.Side side0 = org.apache.commons.math3.geometry.partitioning.Side.MINUS;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d2 = vector1D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d4 = vector1D3.getNorm();
    double d5 = vector1D1.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D3);
    double d6 = vector1D3.getNorm();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d17 = vector1D16.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    double d20 = vector1D16.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D18);
    double d21 = vector1D11.distance((org.apache.commons.math3.geometry.Vector)vector1D18);
    boolean b22 = vector3D10.equals((java.lang.Object)vector1D11);
    double d23 = vector1D11.getNorm1();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(0.9999999999999999d, vector1D3, 1.0267827427333707d, vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection3, true);
    int i6 = nonMonotonicSequenceException5.getIndex();
    java.lang.Number number7 = nonMonotonicSequenceException5.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1L+ "'", number7.equals(1L));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-969420190), 1079558144);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-969420190));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0007933312687065d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0007933312687065d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    double d11 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array7, d_array10);
    double d12 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array7);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 10);
    double d16 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array5, d_array15);
    int i17 = org.apache.commons.math3.util.MathUtils.hash(d_array5);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 100.0d, 10.0d };
    double d23 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array22);
    double[] d_array25 = new double[] { 1.0d };
    double[] d_array28 = new double[] { 100.0d, 10.0d };
    double d29 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array25, d_array28);
    double d30 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array25);
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.copyOf(d_array25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D33, 0.0d, vector2D35);
    double[] d_array37 = vector2D36.toArray();
    double d38 = org.apache.commons.math3.util.MathArrays.distance(d_array25, d_array37);
    boolean b39 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d40 = org.apache.commons.math3.util.MathArrays.distance(d_array5, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 961);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-98.92147658444901d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-99L));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException6 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable3, (-1), 1079558144);
    java.lang.Throwable[] throwable_array7 = dimensionMismatchException6.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(byte)100, localizable10, obj_array12);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, obj_array12);
    java.lang.Throwable[] throwable_array15 = mathIllegalArgumentException14.getSuppressed();
    dimensionMismatchException6.addSuppressed((java.lang.Throwable)mathIllegalArgumentException14);
    java.lang.Throwable[] throwable_array17 = mathIllegalArgumentException14.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException20 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)2.0d, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane1 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = bSPTree0.split(subHyperplane1);
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree0.visit(bSPTreeVisitor3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree2);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane5 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = vector3D4.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b10 = vector3D9.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D4, 0.725616308761716d, vector3D9, 22026.465794806718d, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d20 = vector3D18.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D24, vector3D26);
    double d28 = vector3D26.getNormSq();
    double d29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D18, vector3D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = vector3D18.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D35, 0.0d, vector2D37);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D38, vector2D39);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D42, 0.0d, vector2D44);
    double d46 = vector2D39.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D42);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = vector3D32.add((org.apache.commons.math3.geometry.Vector)vector2D42);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane0 = null;
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane1 = null;
    org.apache.commons.math3.geometry.partitioning.BoundaryAttribute boundaryAttribute2 = new org.apache.commons.math3.geometry.partitioning.BoundaryAttribute(subHyperplane0, subHyperplane1);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane3 = boundaryAttribute2.getPlusInside();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane4 = boundaryAttribute2.getPlusInside();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane4);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    bSPTree0.insertInTree(bSPTree1, true);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet4 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet(bSPTree1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree5 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane6 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree7 = bSPTree5.split(subHyperplane6);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane8 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree9 = bSPTree7.split(subHyperplane8);
    org.apache.commons.math3.geometry.partitioning.BSPTree.LeafMerger leafMerger10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree11 = bSPTree1.merge(bSPTree9, leafMerger10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree9);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    double d2 = org.apache.commons.math3.util.Precision.round(22026.465794806718d, 961);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 22026.465794806718d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.5707963267948966d, (-99.0d), 5.192987713658941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 95.37780861313595d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet1 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d7 = vector3D6.getY();
    double d8 = vector3D6.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D4, vector3D5, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane9.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation11 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet12 = polyhedronsSet1.rotate(vector3D10, rotation11);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree14 = polyhedronsSet1.getTree(true);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet15 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet17 = polygonsSet15.buildNew(bSPTree16);
    org.apache.commons.math3.geometry.Vector vector18 = polygonsSet15.getBarycenter();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane24 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D20, vector3D23);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane35 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = vector3D34.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = vector3D34.orthogonal();
    plane24.reset(vector3D30, vector3D37);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane44 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D40, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane49 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D45, vector3D48);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = vector3D48.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane55 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D51, vector3D54);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = vector3D54.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = vector3D54.orthogonal();
    plane44.reset(vector3D50, vector3D57);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D63 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d64 = vector1D63.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D65 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d66 = vector1D65.getNorm();
    double d67 = vector1D63.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D65);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D68 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d69 = vector1D68.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D70 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d71 = vector1D70.getNorm();
    double d72 = vector1D68.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D70);
    double d73 = vector1D63.distance((org.apache.commons.math3.geometry.Vector)vector1D70);
    boolean b74 = vector3D62.equals((java.lang.Object)vector1D63);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D30, 0.03341256700064158d, vector3D50, 0.9999999958776927d, vector3D62);
    org.apache.commons.math3.geometry.partitioning.Region.Location location76 = polygonsSet15.checkPoint((org.apache.commons.math3.geometry.Vector)vector3D50);
    boolean b77 = polygonsSet15.isEmpty();
    org.apache.commons.math3.geometry.partitioning.Region region78 = regionFactory0.intersection((org.apache.commons.math3.geometry.partitioning.Region)polyhedronsSet1, (org.apache.commons.math3.geometry.partitioning.Region)polygonsSet15);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet79 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree80 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet81 = polygonsSet79.buildNew(bSPTree80);
    org.apache.commons.math3.geometry.Vector vector82 = polygonsSet79.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region83 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region83);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.2261911708835171d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0326329306069673d));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.9992068341863537d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6318286536829895d));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line51 = line36.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D52 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d53 = vector1D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D54 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d55 = vector1D54.getNorm();
    double d56 = vector1D52.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D54);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D57 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d58 = vector1D57.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D59 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d60 = vector1D59.getNorm();
    double d61 = vector1D57.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D59);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D62 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d63 = vector1D62.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D64 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d65 = vector1D64.getNorm();
    double d66 = vector1D62.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D64);
    double d67 = vector1D57.distance((org.apache.commons.math3.geometry.Vector)vector1D64);
    double d68 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D54, vector1D57);
    double d69 = vector1D57.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D70 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d71 = vector1D70.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D72 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d73 = vector1D72.getNorm();
    double d74 = vector1D70.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D72);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D75 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d76 = vector1D75.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D77 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d78 = vector1D77.getNorm();
    double d79 = vector1D75.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D77);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D80 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d81 = vector1D80.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D82 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d83 = vector1D82.getNorm();
    double d84 = vector1D80.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D82);
    double d85 = vector1D75.distance((org.apache.commons.math3.geometry.Vector)vector1D82);
    double d86 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D72, vector1D75);
    double d87 = vector1D75.getNorm();
    java.lang.String str88 = vector1D75.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D90 = vector1D75.scalarMultiply(Double.POSITIVE_INFINITY);
    double d91 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D57, vector1D75);
    double d92 = vector1D75.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D94 = line51.getPointAt(vector1D75, 0.9999999958776927d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D95 = vector1D75.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "{1}"+ "'", str88.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D95);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = vector3D3.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane11 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D7, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = vector3D10.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = vector3D10.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b16 = vector3D15.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane22 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D18, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D10, 0.725616308761716d, vector3D15, 22026.465794806718d, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d26 = vector3D24.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D25);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane31 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D27, vector3D30);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d33 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D30, vector3D32);
    double d34 = vector3D32.getNormSq();
    double d35 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D24, vector3D32);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = vector3D24.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    double d17 = vector2D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    org.apache.commons.math3.geometry.euclidean.twod.Line line23 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D13, vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D25, 0.0d, vector2D27);
    line23.translateToPoint(vector2D25);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D31, 0.0d, vector2D33);
    double d35 = vector2D31.getNorm();
    boolean b36 = line23.contains(vector2D31);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    double d42 = vector2D38.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    org.apache.commons.math3.geometry.euclidean.twod.Line line48 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D38, vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D50, 0.0d, vector2D52);
    line48.translateToPoint(vector2D50);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D56, 0.0d, vector2D58);
    double d60 = vector2D56.getNorm();
    boolean b61 = line48.contains(vector2D56);
    boolean b62 = line23.isParallelTo(line48);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D63 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d64 = vector1D63.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D65 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d66 = vector1D65.getNorm();
    double d67 = vector1D63.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D65);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D68 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d69 = vector1D68.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D70 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d71 = vector1D70.getNorm();
    double d72 = vector1D68.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D70);
    double d73 = vector1D63.distance((org.apache.commons.math3.geometry.Vector)vector1D70);
    boolean b75 = vector1D63.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D77 = line23.getPointAt(vector1D63, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d78 = vector3D9.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D77);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D77);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9640275800758169d));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2.220446049250313E-16d, (-0.9640275800758169d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9640275800758169d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d5 = vector3D4.getY();
    double d6 = vector3D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D3, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d9 = vector3D8.getY();
    double d10 = vector3D8.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D14, vector3D16);
    double d18 = vector3D16.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = vector3D16.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = vector3D16.negate();
    plane7.reset(vector3D8, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = plane7.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = vector3D26.orthogonal();
    double d28 = plane7.getOffset((org.apache.commons.math3.geometry.Vector)vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.5403023058681398d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.0f), 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D67 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D67, 0.0d, vector2D69);
    double[] d_array71 = vector2D70.toArray();
    line65.translateToPoint(vector2D70);
    double d73 = line65.getOriginOffset();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    double d17 = vector1D13.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D15);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    double d22 = vector1D18.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D20);
    double d23 = vector1D13.distance((org.apache.commons.math3.geometry.Vector)vector1D20);
    boolean b24 = vector3D12.equals((java.lang.Object)vector1D13);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane34 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D30, vector3D33);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = vector3D33.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D36, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D39.orthogonal();
    plane29.reset(vector3D35, vector3D42);
    double d44 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D12, vector3D42);
    boolean b45 = plane8.contains(vector3D12);
    boolean b46 = vector3D12.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(0.36817134631701054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1289236540));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.344058565367445E43d), vector3D1, 2.0d, vector3D3);
    double d5 = vector3D4.getNormInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.344058565367445E43d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)1 };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(byte)100, localizable5, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array7);
    java.lang.Throwable[] throwable_array10 = mathIllegalArgumentException9.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError11 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathInternalError mathInternalError13 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NaN;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d2 = vector1D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d4 = vector1D3.getNorm();
    double d5 = vector1D1.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D3);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    double d10 = vector1D6.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d16 = vector1D6.distance((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D3, vector1D6);
    double d18 = vector1D6.getNorm();
    java.lang.String str19 = vector1D6.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D6.scalarMultiply(Double.POSITIVE_INFINITY);
    // The following exception was thrown during execution in test generation
    try {
      double d22 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D0, vector1D21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "{1}"+ "'", str19.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    boolean b16 = orientedPoint14.isDirect();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint17 = orientedPoint14.wholeHyperplane();
    double d18 = subOrientedPoint17.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet3 = polygonsSet1.buildNew(bSPTree2);
    org.apache.commons.math3.geometry.Vector vector4 = polygonsSet1.getBarycenter();
    org.apache.commons.math3.geometry.partitioning.Region region5 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet1);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet6 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree7 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet8 = polygonsSet6.buildNew(bSPTree7);
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet13 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet((-0.6616199318501765d), 99.0d, (-0.9992068341863537d), (-0.01154744620760608d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Region region14 = regionFactory0.intersection((org.apache.commons.math3.geometry.partitioning.Region)polygonsSet8, (org.apache.commons.math3.geometry.partitioning.Region)polygonsSet13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet8);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree13 = polyhedronsSet0.getTree(true);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree14 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane15 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree16 = bSPTree14.split(subHyperplane15);
    bSPTree13.insertInTree(bSPTree16, false);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree19 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree20 = bSPTree19.copySelf();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet21 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D23);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = vector3D26.getY();
    double d28 = vector3D26.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D24, vector3D25, vector3D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = plane29.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation31 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet32 = polyhedronsSet21.rotate(vector3D30, rotation31);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree34 = polyhedronsSet21.getTree(true);
    bSPTree19.insertInTree(bSPTree34, false);
    org.apache.commons.math3.geometry.partitioning.BSPTree.LeafMerger leafMerger37 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree38 = bSPTree13.merge(bSPTree19, leafMerger37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree34);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    boolean b16 = orientedPoint14.isDirect();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint17 = orientedPoint14.wholeHyperplane();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d23 = vector3D22.getY();
    double d24 = vector3D22.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D20, vector3D21, vector3D22);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = orientedPoint14.getOffset((org.apache.commons.math3.geometry.Vector)vector3D20);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    line11.revertSelf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = null;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D2, 0.0d, vector2D4);
    double d6 = vector2D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Line line12 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D2, vector2D8);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D14, 0.0d, vector2D16);
    line12.translateToPoint(vector2D14);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D20, 0.0d, vector2D22);
    double d24 = vector2D20.getNorm();
    boolean b25 = line12.contains(vector2D20);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D27, 0.0d, vector2D29);
    double d31 = vector2D27.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D33, 0.0d, vector2D35);
    org.apache.commons.math3.geometry.euclidean.twod.Line line37 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D27, vector2D33);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D39, 0.0d, vector2D41);
    line37.translateToPoint(vector2D39);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D45, 0.0d, vector2D47);
    double d49 = vector2D45.getNorm();
    boolean b50 = line37.contains(vector2D45);
    boolean b51 = line12.isParallelTo(line37);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D53, 0.0d, vector2D55);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D56, vector2D57);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D60, 0.0d, vector2D62);
    double d64 = vector2D57.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line66 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D60, 22026.465794806718d);
    boolean b67 = line12.contains(vector2D60);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine68 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D0, vector2D60);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = null;
    // The following exception was thrown during execution in test generation
    try {
      line36.translateToPoint(vector2D51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    double[] d_array0 = null;
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 110.0f, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line51 = line36.copySelf();
    org.apache.commons.math3.geometry.euclidean.twod.Line line52 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line51);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D54, 0.0d, vector2D56);
    double d58 = vector2D54.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D60, 0.0d, vector2D62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D54, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D66 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D68 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D66, 0.0d, vector2D68);
    line64.translateToPoint(vector2D66);
    double d71 = vector2D66.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D73 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D75 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D76 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D73, 0.0d, vector2D75);
    double d77 = vector2D73.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D79 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D81 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D82 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D79, 0.0d, vector2D81);
    org.apache.commons.math3.geometry.euclidean.twod.Line line83 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D73, vector2D79);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D85 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D87 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D88 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D85, 0.0d, vector2D87);
    line83.translateToPoint(vector2D85);
    double d90 = vector2D85.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D91 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d92 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D85, vector2D91);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D93 = vector2D85.negate();
    double d94 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D66, vector2D85);
    boolean b95 = line52.contains(vector2D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == true);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.629395E-6f, 1.0f, 10240.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet1 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d7 = vector3D6.getY();
    double d8 = vector3D6.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D4, vector3D5, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane9.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation11 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet12 = polyhedronsSet1.rotate(vector3D10, rotation11);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree14 = polyhedronsSet1.getTree(true);
    org.apache.commons.math3.geometry.partitioning.Region region15 = regionFactory0.getComplement((org.apache.commons.math3.geometry.partitioning.Region)polyhedronsSet1);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet16 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet17 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D[][] vector2D_array_array18 = polygonsSet17.getVertices();
    org.apache.commons.math3.geometry.partitioning.Region region19 = regionFactory0.difference((org.apache.commons.math3.geometry.partitioning.Region)intervalsSet16, (org.apache.commons.math3.geometry.partitioning.Region)polygonsSet17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region19);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D51 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d52 = vector1D51.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D53 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d54 = vector1D53.getNorm();
    double d55 = vector1D51.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D53);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D56 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d57 = vector1D56.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D58 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d59 = vector1D58.getNorm();
    double d60 = vector1D56.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D58);
    double d61 = vector1D51.distance((org.apache.commons.math3.geometry.Vector)vector1D58);
    boolean b63 = vector1D51.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = line11.getPointAt(vector1D51, 100.0d);
    org.apache.commons.math3.geometry.Vector vector66 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d67 = vector2D65.distanceSq(vector66);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10240.0f, Float.NaN, 1074790400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet13 = polyhedronsSet11.translate(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet13);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet16 = orientedPoint14.wholeSpace();
    java.util.List list17 = intervalsSet16.asList();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet18 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet((java.util.Collection)list17);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.6616199318501765d), 1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = bSPTree0.copySelf();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet2 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d8 = vector3D7.getY();
    double d9 = vector3D7.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D6, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = plane10.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation12 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet13 = polyhedronsSet2.rotate(vector3D11, rotation12);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree15 = polyhedronsSet2.getTree(true);
    bSPTree0.insertInTree(bSPTree15, false);
    org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor bSPTreeVisitor18 = null;
    // The following exception was thrown during execution in test generation
    try {
      bSPTree0.visit(bSPTreeVisitor18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree15);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    double d12 = polyhedronsSet0.getBoundarySize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.27034258274442147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3104132988292906d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d15 = vector1D5.distance((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D2, vector1D5);
    double d17 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    double d22 = vector1D18.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D20);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D23 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d24 = vector1D23.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D25 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d26 = vector1D25.getNorm();
    double d27 = vector1D23.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D25);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D28 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d29 = vector1D28.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D30 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d31 = vector1D30.getNorm();
    double d32 = vector1D28.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D30);
    double d33 = vector1D23.distance((org.apache.commons.math3.geometry.Vector)vector1D30);
    double d34 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D20, vector1D23);
    double d35 = vector1D23.getNorm();
    java.lang.String str36 = vector1D23.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = vector1D23.scalarMultiply(Double.POSITIVE_INFINITY);
    double d39 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D5, vector1D23);
    double d40 = vector1D23.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "{1}"+ "'", str36.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint2 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint3 = orientedPoint2.copySelf();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D5, 0.0d, vector2D7);
    double d9 = vector2D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D11, 0.0d, vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D5, vector2D11);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D17, 0.0d, vector2D19);
    line15.translateToPoint(vector2D17);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    double d27 = vector2D23.getNorm();
    boolean b28 = line15.contains(vector2D23);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    double d34 = vector2D30.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D36, 0.0d, vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Line line40 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D30, vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D42, 0.0d, vector2D44);
    line40.translateToPoint(vector2D42);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D48, 0.0d, vector2D50);
    double d52 = vector2D48.getNorm();
    boolean b53 = line40.contains(vector2D48);
    boolean b54 = line15.isParallelTo(line40);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D56, 0.0d, vector2D58);
    double d60 = vector2D56.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D64 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D62, 0.0d, vector2D64);
    org.apache.commons.math3.geometry.euclidean.twod.Line line66 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D56, vector2D62);
    boolean b67 = line15.isParallelTo(line66);
    org.apache.commons.math3.geometry.euclidean.twod.Line line68 = line66.getReverse();
    // The following exception was thrown during execution in test generation
    try {
      boolean b69 = orientedPoint2.sameOrientationAs((org.apache.commons.math3.geometry.partitioning.Hyperplane)line68);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line68);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    double d8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D0, vector3D5);
    double d9 = vector3D5.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0015863316272926112d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-2.566370614359173d));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.344058565367445E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 99.99999999587769d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    boolean b16 = orientedPoint14.isDirect();
    org.apache.commons.math3.geometry.euclidean.oned.SubOrientedPoint subOrientedPoint17 = orientedPoint14.wholeHyperplane();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane22 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D18, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane27 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D23, vector3D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = vector3D26.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane33 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D29, vector3D32);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = vector3D32.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = vector3D32.orthogonal();
    plane22.reset(vector3D28, vector3D35);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane41 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D37, vector3D40);
    double d42 = plane22.getOffset(plane41);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.partitioning.Side side43 = subOrientedPoint17.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)plane22);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subOrientedPoint17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == (-0.9992068341863537d));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(Float.NaN, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1079410688, (-969420190));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-969420190));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet1 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d7 = vector3D6.getY();
    double d8 = vector3D6.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D4, vector3D5, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane9.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation11 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet12 = polyhedronsSet1.rotate(vector3D10, rotation11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b16 = vector3D15.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b18 = vector3D17.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = vector3D15.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet20 = polyhedronsSet1.translate(vector3D19);
    org.apache.commons.math3.geometry.Vector vector21 = null;
    org.apache.commons.math3.geometry.partitioning.Region.Location location22 = polyhedronsSet1.checkPoint(vector21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d24 = vector3D23.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane31 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D23, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = plane31.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D36 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d37 = vector1D36.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d39 = vector1D38.getNorm();
    double d40 = vector1D36.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D38);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D41 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d42 = vector1D41.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D43 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d44 = vector1D43.getNorm();
    double d45 = vector1D41.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D43);
    double d46 = vector1D36.distance((org.apache.commons.math3.geometry.Vector)vector1D43);
    boolean b47 = vector3D35.equals((java.lang.Object)vector1D36);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane52 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D48, vector3D51);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D53 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane57 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D53, vector3D56);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = vector3D56.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane63 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D59, vector3D62);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D64 = vector3D62.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D65 = vector3D62.orthogonal();
    plane52.reset(vector3D58, vector3D65);
    double d67 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D35, vector3D65);
    boolean b68 = plane31.contains(vector3D35);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet69 = polyhedronsSet1.translate(vector3D35);
    // The following exception was thrown during execution in test generation
    try {
      double d70 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D0, vector3D35);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet69);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D14.orthogonal();
    plane4.reset(vector3D10, vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = plane4.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b23 = vector3D22.isNaN();
    double[] d_array24 = vector3D22.toArray();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    double d28 = vector3D27.getNorm();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.ZERO;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = vector3D27.add(3956.7778831817327d, (org.apache.commons.math3.geometry.Vector)vector3D30);
    plane4.reset(vector3D22, vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.0764266859446847d, 1.0d, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.07642668594468449d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(110.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 110.0f);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 10240.0f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable1, (-1), 1079558144);
    java.lang.Throwable[] throwable_array5 = dimensionMismatchException4.getSuppressed();
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException6 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)Double.NaN, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    boolean b16 = orientedPoint14.isDirect();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet17 = orientedPoint14.wholeSpace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet17);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    double d43 = vector2D38.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d45 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D38, vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = vector2D38.negate();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D48, 0.0d, vector2D50);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D51, vector2D52);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D55, 0.0d, vector2D57);
    double d59 = vector2D52.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D55);
    double d60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D46, vector2D55);
    boolean b61 = line11.contains(vector2D46);
    double d62 = line11.getAngle();
    line11.setOriginOffset(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.3104132988292906d, 961);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3104132988292906d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array5 = new double[] { 100.0d, 10.0d };
    double d6 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array2, d_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array2);
    double[] d_array8 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array13 = new double[] { 100.0d, 10.0d };
    double d14 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array10, d_array13);
    double d15 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array10);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array10);
    double[][] d_array_array17 = new double[][] { d_array10 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array8, d_array_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])d_array_array17);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str20 = mathIllegalArgumentException19.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = plane4.getPointAt(vector2D5, Double.NEGATIVE_INFINITY);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D8.distance1((org.apache.commons.math3.geometry.Vector)vector1D10);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    double d17 = vector1D13.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D15);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = vector1D10.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector1D13);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = plane4.toSpace((org.apache.commons.math3.geometry.Vector)vector1D13);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane5 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = vector3D15.orthogonal();
    plane5.reset(vector3D11, vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = vector3D29.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane36 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D32, vector3D35);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = vector3D35.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = vector3D35.orthogonal();
    plane25.reset(vector3D31, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D44 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d45 = vector1D44.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D46 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d47 = vector1D46.getNorm();
    double d48 = vector1D44.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D46);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D49 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d50 = vector1D49.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D51 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d52 = vector1D51.getNorm();
    double d53 = vector1D49.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D51);
    double d54 = vector1D44.distance((org.apache.commons.math3.geometry.Vector)vector1D51);
    boolean b55 = vector3D43.equals((java.lang.Object)vector1D44);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D11, 0.03341256700064158d, vector3D31, 0.9999999958776927d, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D61 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane62 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D58, vector3D61);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D63 = vector3D61.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D64 = vector3D61.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D66 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b67 = vector3D66.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D69 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D72 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane73 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D69, vector3D72);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D74 = vector3D72.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D61, 0.725616308761716d, vector3D66, 22026.465794806718d, vector3D72);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D76 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d77 = vector3D75.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D76);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D78 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D81 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane82 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D78, vector3D81);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D83 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d84 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D81, vector3D83);
    double d85 = vector3D83.getNormSq();
    double d86 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D75, vector3D83);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D89 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D90 = vector3D75.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D89);
    double d91 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D56, vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.880262911196558d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    boolean b15 = vector1D0.isInfinite();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = vector1D0.normalize();
    java.text.NumberFormat numberFormat17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = vector1D0.toString(numberFormat17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    double d8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D0, vector3D5);
    double d9 = vector3D5.getZ();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0015863316272926112d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.9992068341863537d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d2 = vector1D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D3 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d4 = vector1D3.getNorm();
    double d5 = vector1D1.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D3);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    double d10 = vector1D6.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D8);
    double d11 = vector1D1.distance((org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = vector1D8.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d17 = vector1D14.distance1((org.apache.commons.math3.geometry.Vector)vector1D16);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d20 = vector1D19.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d22 = vector1D21.getNorm();
    double d23 = vector1D19.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D21);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = vector1D16.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector1D19);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D26 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D27 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(0.0015863316272926112d, vector1D8, 3956.7778831817327d, vector1D24, (-1.0326329306069673d), vector1D26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D24);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(110.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 1.4E-45f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D6);
    double d8 = vector3D7.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line9 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D3, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d15 = vector3D14.getY();
    double d16 = vector3D14.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane17 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D13, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d19 = vector3D18.getY();
    double d20 = vector3D18.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D24, vector3D26);
    double d28 = vector3D26.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = vector3D26.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D26.negate();
    plane17.reset(vector3D18, vector3D30);
    double d32 = line9.distance(vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = vector3D36.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D39);
    double d41 = vector3D40.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line42 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D36, vector3D40);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D44 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D44);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d48 = vector3D47.getY();
    double d49 = vector3D47.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane50 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D45, vector3D46, vector3D47);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d52 = vector3D51.getY();
    double d53 = vector3D51.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane58 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D54, vector3D57);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d60 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D57, vector3D59);
    double d61 = vector3D59.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = vector3D59.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D63 = vector3D59.negate();
    plane50.reset(vector3D51, vector3D63);
    double d65 = line42.distance(vector3D51);
    boolean b66 = line9.isSimilarTo(line42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0056674144278637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0056674144278637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array5 = new double[] { 100.0d, 10.0d };
    double d6 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array2, d_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array2);
    double[] d_array8 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    double[] d_array10 = new double[] { 1.0d };
    double[] d_array13 = new double[] { 100.0d, 10.0d };
    double d14 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array10, d_array13);
    double d15 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array10);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array10);
    double[][] d_array_array17 = new double[][] { d_array10 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array8, d_array_array17);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])d_array_array17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError20 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nullArgumentException19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0f), 7.629395E-6f, 1079558144);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math3.geometry.euclidean.twod.Segment segment0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine1 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(segment0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = vector1D2.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector1D5);
    double d11 = vector1D10.getX();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_K;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = vector1D10.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D12);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(3956.7778831817327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3956.7778831817327d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.718281817253452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.41078130071942787d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d5 = vector3D4.getY();
    double d6 = vector3D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D3, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D10, vector3D11);
    double d13 = vector3D3.distance1((org.apache.commons.math3.geometry.Vector)vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == (-0.4659128780818629d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.6978948279533377d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.725616308761716d, 0.07642668594468449d, 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    double d7 = vector1D2.distance((org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d10 = vector1D9.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    double d13 = vector1D9.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d17 = vector1D16.getNorm();
    double d18 = vector1D14.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D16);
    double d19 = vector1D9.distance((org.apache.commons.math3.geometry.Vector)vector1D16);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D16.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D2.add(4.944515159673473E42d, (org.apache.commons.math3.geometry.Vector)vector1D20);
    java.text.NumberFormat numberFormat22 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str23 = vector1D21.toString(numberFormat22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    double d14 = vector1D10.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d15 = vector1D5.distance((org.apache.commons.math3.geometry.Vector)vector1D12);
    double d16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D2, vector1D5);
    double d17 = vector1D5.getNorm();
    java.lang.String str18 = vector1D5.toString();
    boolean b19 = vector1D5.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{1}"+ "'", str18.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D5);
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D5.orthogonal();
    double d9 = vector3D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D5.scalarMultiply(1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    double d17 = vector1D13.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D15);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d21 = vector1D20.getNorm();
    double d22 = vector1D18.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D20);
    double d23 = vector1D13.distance((org.apache.commons.math3.geometry.Vector)vector1D20);
    boolean b24 = vector3D12.equals((java.lang.Object)vector1D13);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane34 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D30, vector3D33);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = vector3D33.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D36, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D39.orthogonal();
    plane29.reset(vector3D35, vector3D42);
    double d44 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D12, vector3D42);
    boolean b45 = plane8.contains(vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane46 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(plane8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d48 = vector3D47.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D49 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane53 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D49, vector3D52);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = vector3D52.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane55 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D47, vector3D52);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = plane55.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D60 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d61 = vector1D60.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D62 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d63 = vector1D62.getNorm();
    double d64 = vector1D60.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D62);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D65 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d66 = vector1D65.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D67 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d68 = vector1D67.getNorm();
    double d69 = vector1D65.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D67);
    double d70 = vector1D60.distance((org.apache.commons.math3.geometry.Vector)vector1D67);
    boolean b71 = vector3D59.equals((java.lang.Object)vector1D60);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D72 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D75 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane76 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D72, vector3D75);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D77 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D80 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane81 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D77, vector3D80);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D82 = vector3D80.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D83 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D86 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane87 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D83, vector3D86);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D88 = vector3D86.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D89 = vector3D86.orthogonal();
    plane76.reset(vector3D82, vector3D89);
    double d91 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D59, vector3D89);
    boolean b92 = plane55.contains(vector3D59);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane93 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(plane55);
    org.apache.commons.math3.geometry.euclidean.threed.Line line94 = plane46.intersection(plane55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(line94);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    double d21 = vector2D13.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    double d27 = vector2D23.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D29, 0.0d, vector2D31);
    org.apache.commons.math3.geometry.euclidean.twod.Line line33 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D23, vector2D29);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D35, 0.0d, vector2D37);
    line33.translateToPoint(vector2D35);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D41, 0.0d, vector2D43);
    double d45 = vector2D41.getNorm();
    boolean b46 = line33.contains(vector2D41);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D48, 0.0d, vector2D50);
    double d52 = vector2D48.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D54, 0.0d, vector2D56);
    org.apache.commons.math3.geometry.euclidean.twod.Line line58 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D48, vector2D54);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D60, 0.0d, vector2D62);
    line58.translateToPoint(vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D66 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D68 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D66, 0.0d, vector2D68);
    double d70 = vector2D66.getNorm();
    boolean b71 = line58.contains(vector2D66);
    boolean b72 = line33.isParallelTo(line58);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D73 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d74 = vector1D73.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D75 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d76 = vector1D75.getNorm();
    double d77 = vector1D73.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D75);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D78 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d79 = vector1D78.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D80 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d81 = vector1D80.getNorm();
    double d82 = vector1D78.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D80);
    double d83 = vector1D73.distance((org.apache.commons.math3.geometry.Vector)vector1D80);
    boolean b85 = vector1D73.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D87 = line33.getPointAt(vector1D73, 100.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine88 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D13, vector2D87);
    boolean b89 = vector2D13.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = plane4.getU();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    java.lang.String str6 = vector2D4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "{0; 0}"+ "'", str6.equals("{0; 0}"));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    boolean b12 = polyhedronsSet0.isEmpty();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    line11.revertSelf();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = new org.apache.commons.math3.geometry.euclidean.twod.Line(line11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.0267827427333707d, (-0.01154744620760608d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.01154744620760608d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    double d11 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array7, d_array10);
    double d12 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array7);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 10);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array5, d_array7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = plane8.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation10 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet11 = polyhedronsSet0.rotate(vector3D9, rotation10);
    double[] d_array12 = vector3D9.toArray();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.344058565367445E43d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    double d7 = vector1D2.distance((org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d10 = vector1D9.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    double d13 = vector1D9.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D11);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d17 = vector1D16.getNorm();
    double d18 = vector1D14.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D16);
    double d19 = vector1D9.distance((org.apache.commons.math3.geometry.Vector)vector1D16);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D20 = vector1D16.negate();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D21 = vector1D2.add(4.944515159673473E42d, (org.apache.commons.math3.geometry.Vector)vector1D20);
    double d22 = vector1D21.getNorm1();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 4.944515159673473E42d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double[] d_array5 = vector2D4.toArray();
    double[] d_array7 = new double[] { 1.0d };
    double[] d_array10 = new double[] { 100.0d, 10.0d };
    double d11 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array7, d_array10);
    double d12 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array7);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 10);
    double d16 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array5, d_array15);
    double[] d_array18 = new double[] { 1.0d };
    double[] d_array21 = new double[] { 100.0d, 10.0d };
    double d22 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array18, d_array21);
    double d23 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array18);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection24 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    double[] d_array26 = new double[] { 1.0d };
    double[] d_array29 = new double[] { 100.0d, 10.0d };
    double d30 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array26, d_array29);
    double[][] d_array_array31 = new double[][] { d_array26 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array18, orderDirection24, d_array_array31);
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    double[] d_array36 = new double[] { 1.0d };
    double[] d_array39 = new double[] { 100.0d, 10.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array36, d_array39);
    double d41 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array36);
    double[] d_array42 = org.apache.commons.math3.util.MathArrays.copyOf(d_array36);
    double[] d_array44 = new double[] { 1.0d };
    double[] d_array47 = new double[] { 100.0d, 10.0d };
    double d48 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array44, d_array47);
    double d49 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array44);
    double[] d_array50 = org.apache.commons.math3.util.MathArrays.copyOf(d_array44);
    double[][] d_array_array51 = new double[][] { d_array44 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array42, d_array_array51);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException53 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable33, (java.lang.Number)100.0f, (java.lang.Object[])d_array_array51);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array15, orderDirection24, d_array_array51);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double[] d_array1 = new double[] { 1.0d };
    double[] d_array4 = new double[] { 100.0d, 10.0d };
    double d5 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array1, d_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array1);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array9 = new double[] { 1.0d };
    double[] d_array12 = new double[] { 100.0d, 10.0d };
    double d13 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array9, d_array12);
    double d14 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array9);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9);
    double[][] d_array_array16 = new double[][] { d_array9 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array7, d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    double[] d_array22 = new double[] { 100.0d, 10.0d };
    double d23 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array22);
    double d24 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array19);
    double[] d_array25 = org.apache.commons.math3.util.MathArrays.copyOf(d_array19);
    double[] d_array27 = new double[] { 1.0d };
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    double d31 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array27, d_array30);
    double d32 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array27);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.copyOf(d_array27);
    double[][] d_array_array34 = new double[][] { d_array27 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array25, d_array_array34);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-2.0d), 2.4479392457146236d, (-969420190));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D6);
    double d8 = vector3D7.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line9 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D3, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d15 = vector3D14.getY();
    double d16 = vector3D14.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane17 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D13, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d19 = vector3D18.getY();
    double d20 = vector3D18.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D24, vector3D26);
    double d28 = vector3D26.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = vector3D26.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D26.negate();
    plane17.reset(vector3D18, vector3D30);
    double d32 = line9.distance(vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane38 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D34, vector3D37);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = vector3D37.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = vector3D37.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b43 = vector3D42.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane49 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D45, vector3D48);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = vector3D48.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D37, 0.725616308761716d, vector3D42, 22026.465794806718d, vector3D48);
    double d52 = line9.distance(vector3D48);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D53 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d54 = line9.getAbscissa(vector3D53);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0056674144278637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.9845804000755887d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    double[] d_array2 = new double[] { 1.0d };
    double[] d_array5 = new double[] { 100.0d, 10.0d };
    double d6 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array2, d_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array2);
    double[] d_array8 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D10, 0.0d, vector2D12);
    double[] d_array14 = vector2D13.toArray();
    double d15 = org.apache.commons.math3.util.MathArrays.distance(d_array2, d_array14);
    double[] d_array16 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    double[] d_array20 = new double[] { 1.0d };
    double[] d_array23 = new double[] { 100.0d, 10.0d };
    double d24 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array20, d_array23);
    double d25 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array20);
    double[] d_array26 = org.apache.commons.math3.util.MathArrays.copyOf(d_array20);
    double[] d_array28 = new double[] { 1.0d };
    double[] d_array31 = new double[] { 100.0d, 10.0d };
    double d32 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array28, d_array31);
    double d33 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array28);
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.copyOf(d_array28);
    double[][] d_array_array35 = new double[][] { d_array28 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array26, d_array_array35);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException37 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable17, (java.lang.Number)100.0f, (java.lang.Object[])d_array_array35);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array2, d_array_array35);
    org.apache.commons.math3.exception.MathInternalError mathInternalError39 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D6);
    double d8 = vector3D7.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line9 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D3, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = vector3D13.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D16);
    double d18 = vector3D17.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line19 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D13, vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d25 = vector3D24.getY();
    double d26 = vector3D24.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane27 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D22, vector3D23, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d29 = vector3D28.getY();
    double d30 = vector3D28.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane35 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D31, vector3D34);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d37 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D34, vector3D36);
    double d38 = vector3D36.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = vector3D36.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = vector3D36.negate();
    plane27.reset(vector3D28, vector3D40);
    double d42 = line19.distance(vector3D28);
    double d43 = line9.getAbscissa(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0056674144278637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.9999473451907641d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    double d51 = line36.getOriginOffset();
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine52 = line36.wholeHyperplane();
    org.apache.commons.math3.geometry.partitioning.Region region53 = subLine52.getRemainingRegion();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(subLine52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region53);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane11 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D7, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = vector3D10.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = vector3D10.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b16 = vector3D15.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane22 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D18, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = vector3D21.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D10, 0.725616308761716d, vector3D15, 22026.465794806718d, vector3D21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d26 = vector3D24.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D25);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane31 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D27, vector3D30);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d33 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D30, vector3D32);
    double d34 = vector3D32.getNormSq();
    double d35 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D24, vector3D32);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d38 = vector3D37.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane44 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D40, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.negate();
    double d46 = vector3D43.getNorm1();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-2.0d), vector3D4, 2.2250738585072014E-308d, vector3D24, 0.9999999999999999d, vector3D37, 3956.7778831817327d, vector3D43);
    double d48 = vector3D47.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0542828007750633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.5639034384438394E7d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d2 = vector3D1.getZ();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.999441852112454d, vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.NaN;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d13 = vector3D12.getY();
    double d14 = vector3D12.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D10, vector3D11, vector3D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d17 = vector3D16.getY();
    double d18 = vector3D16.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane23 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D19, vector3D22);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D22, vector3D24);
    double d26 = vector3D24.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = vector3D24.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = vector3D24.negate();
    plane15.reset(vector3D16, vector3D28);
    double d30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceSq(vector3D7, vector3D16);
    double d31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D5, vector3D7);
    double[] d_array32 = vector3D5.toArray();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0015863316272926112d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.039828778882770324d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.5639034384438394E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 16.56528061499258d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D6);
    double d8 = vector3D7.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line9 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D3, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d15 = vector3D14.getY();
    double d16 = vector3D14.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane17 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D13, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d19 = vector3D18.getY();
    double d20 = vector3D18.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D24, vector3D26);
    double d28 = vector3D26.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = vector3D26.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D26.negate();
    plane17.reset(vector3D18, vector3D30);
    double d32 = line9.distance(vector3D18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = line9.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0056674144278637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10240.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10240.0f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d5 = vector3D4.getY();
    double d6 = vector3D4.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D3, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = plane7.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    double d16 = vector1D12.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D14);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D17 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d18 = vector1D17.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D19 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d20 = vector1D19.getNorm();
    double d21 = vector1D17.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D19);
    double d22 = vector1D12.distance((org.apache.commons.math3.geometry.Vector)vector1D19);
    boolean b23 = vector3D11.equals((java.lang.Object)vector1D12);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D27 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane28 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D24, vector3D27);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane33 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D29, vector3D32);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = vector3D32.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane39 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D35, vector3D38);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = vector3D38.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D38.orthogonal();
    plane28.reset(vector3D34, vector3D41);
    double d43 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D11, vector3D41);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b47 = vector3D46.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b49 = vector3D48.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D50 = vector3D46.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D48);
    boolean b51 = vector3D46.isInfinite();
    plane7.reset(vector3D11, vector3D46);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D55 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    double d56 = vector3D55.getNorm();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.ZERO;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = vector3D55.add(3956.7778831817327d, (org.apache.commons.math3.geometry.Vector)vector3D58);
    double d60 = plane7.getOffset((org.apache.commons.math3.geometry.Vector)vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.9999999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == (-0.47467734789432936d));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane5 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D4);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = vector3D4.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D4.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b10 = vector3D9.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D15.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D18 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D4, 0.725616308761716d, vector3D9, 22026.465794806718d, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d20 = vector3D18.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane25 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D21, vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d27 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D24, vector3D26);
    double d28 = vector3D26.getNormSq();
    double d29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D18, vector3D26);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = vector3D18.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D32);
    boolean b34 = vector3D33.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1079410688, 1);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1289236540), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = bSPTree0.copySelf();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet2 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet(bSPTree0);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane3 = bSPTree0.getCut();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet4 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet(bSPTree0);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane5 = null;
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane6 = null;
    org.apache.commons.math3.geometry.partitioning.BoundaryAttribute boundaryAttribute7 = new org.apache.commons.math3.geometry.partitioning.BoundaryAttribute(subHyperplane5, subHyperplane6);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane8 = boundaryAttribute7.getPlusInside();
    bSPTree0.setAttribute((java.lang.Object)subHyperplane8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane8);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.NEGATIVE_INFINITY;
    double d1 = vector1D0.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D6 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d7 = vector1D6.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    double d10 = vector1D6.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D8);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    double d16 = vector1D6.distance((org.apache.commons.math3.geometry.Vector)vector1D13);
    boolean b17 = vector3D5.equals((java.lang.Object)vector1D6);
    double d18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D2, vector3D5);
    double d19 = vector3D2.getY();
    org.apache.commons.math3.geometry.Vector vector20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = vector3D2.crossProduct(vector20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.725616308761716d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D4, vector2D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.344058565367445E43d), vector3D8, 2.0d, vector3D10);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = vector2D5.distance1((org.apache.commons.math3.geometry.Vector)vector3D11);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = vector1D2.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector1D5);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = vector1D10.getZero();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D3, vector3D5);
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D5.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = vector3D5.negate();
    boolean b10 = vector3D9.isNaN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.344058565367445E43d), vector3D1, 2.0d, vector3D3);
    boolean b5 = vector3D1.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection3, true);
    java.lang.Number number6 = nonMonotonicSequenceException5.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException5.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1)+ "'", number6.equals((-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_J;
    double d1 = vector3D0.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5707963267948966d));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(4.944515159673474E42d, 0.0d, 0.0d, (-99.0d), 1.0764266859446847d, 0.0d, 0.999441852112454d, (-1.344058565367445E43d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.343308381918447E43d));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = vector3D8.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane15 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D11, vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = vector3D14.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = vector3D14.orthogonal();
    plane4.reset(vector3D10, vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane23 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D19, vector3D22);
    double d24 = plane4.getOffset(plane23);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D27 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(0.999441852112454d, (-0.4659128780818629d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = plane23.toSubSpace((org.apache.commons.math3.geometry.Vector)vector2D27);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-0.9992068341863537d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math3.geometry.partitioning.utilities.AVLTree aVLTree0 = new org.apache.commons.math3.geometry.partitioning.utilities.AVLTree();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D2 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D2, 0.0d, vector2D4);
    double[] d_array6 = vector2D5.toArray();
    double[] d_array8 = new double[] { 1.0d };
    double[] d_array11 = new double[] { 100.0d, 10.0d };
    double d12 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array8, d_array11);
    double d13 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array8);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection14 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    double[] d_array16 = new double[] { 1.0d };
    double[] d_array19 = new double[] { 100.0d, 10.0d };
    double d20 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array16, d_array19);
    double[][] d_array_array21 = new double[][] { d_array16 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array8, orderDirection14, d_array_array21);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array6, orderDirection14, false);
    double[] d_array29 = new double[] { 1.0d };
    double[] d_array32 = new double[] { 100.0d, 10.0d };
    double d33 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array29, d_array32);
    double d34 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array29);
    double[] d_array35 = org.apache.commons.math3.util.MathArrays.copyOf(d_array29);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D37, 0.0d, vector2D39);
    double[] d_array41 = vector2D40.toArray();
    double d42 = org.apache.commons.math3.util.MathArrays.distance(d_array29, d_array41);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection46 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException48 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)1L, 1, orderDirection46, true);
    boolean b51 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array29, orderDirection46, true, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException53 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)5729.5779513082325d, (java.lang.Number)1.0f, 0, orderDirection46, true);
    boolean b55 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array6, orderDirection46, true);
    aVLTree0.insert((java.lang.Comparable)orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D9 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d10 = vector1D9.getNorm();
    double d11 = vector1D7.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D9);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D12 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d13 = vector1D12.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D14 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d15 = vector1D14.getNorm();
    double d16 = vector1D12.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D14);
    double d17 = vector1D7.distance((org.apache.commons.math3.geometry.Vector)vector1D14);
    boolean b18 = vector3D6.equals((java.lang.Object)vector1D7);
    double d19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D3, vector3D6);
    double d20 = vector3D3.getY();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { d20 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException22 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str23 = mathIllegalArgumentException22.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.725616308761716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.36817134631701054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3599099244646744d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane4 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = plane4.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = plane4.getOrigin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D3, 0.0d, vector2D5);
    double d7 = vector2D3.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D9, 0.0d, vector2D11);
    org.apache.commons.math3.geometry.euclidean.twod.Line line13 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D3, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D15, 0.0d, vector2D17);
    line13.translateToPoint(vector2D15);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D24 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D21, 0.0d, vector2D23);
    double d25 = vector2D21.getNorm();
    boolean b26 = line13.contains(vector2D21);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D28, 0.0d, vector2D30);
    double d32 = vector2D28.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D34, 0.0d, vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line38 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D28, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D40, 0.0d, vector2D42);
    line38.translateToPoint(vector2D40);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D49 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D46, 0.0d, vector2D48);
    double d50 = vector2D46.getNorm();
    boolean b51 = line38.contains(vector2D46);
    boolean b52 = line13.isParallelTo(line38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D54, 0.0d, vector2D56);
    double d58 = vector2D54.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D60, 0.0d, vector2D62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D54, vector2D60);
    boolean b65 = line13.isParallelTo(line64);
    line13.revertSelf();
    line13.setOriginOffset(22026.465794806718d);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D73 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D70, 0.0d, vector2D72);
    double d74 = vector2D70.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D76 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D78 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D79 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D76, 0.0d, vector2D78);
    org.apache.commons.math3.geometry.euclidean.twod.Line line80 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D70, vector2D76);
    line13.translateToPoint(vector2D76);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D82 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(0.27034258274442147d, vector2D76);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D83 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D(99.99999999587769d, vector2D82);
    double[] d_array84 = vector2D82.toArray();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint2 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet3 = orientedPoint2.wholeSpace();
    org.apache.commons.math3.geometry.Vector vector4 = intervalsSet3.getBarycenter();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet5 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d11 = vector3D10.getY();
    double d12 = vector3D10.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane13 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D8, vector3D9, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = plane13.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation15 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet16 = polyhedronsSet5.rotate(vector3D14, rotation15);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree18 = polyhedronsSet5.getTree(true);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet19 = intervalsSet3.buildNew(bSPTree18);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane24 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D20, vector3D23);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D23, vector3D25);
    double d27 = vector3D25.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane33 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D29, vector3D32);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D34 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane38 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D34, vector3D37);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = vector3D37.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D40 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D43 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane44 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D40, vector3D43);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D45 = vector3D43.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D46 = vector3D43.orthogonal();
    plane33.reset(vector3D39, vector3D46);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D49 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D52 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane53 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D49, vector3D52);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D54 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D57 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane58 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D54, vector3D57);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = vector3D57.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D60 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D63 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane64 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D60, vector3D63);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D65 = vector3D63.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D66 = vector3D63.orthogonal();
    plane53.reset(vector3D59, vector3D66);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D71 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D72 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d73 = vector1D72.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D74 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d75 = vector1D74.getNorm();
    double d76 = vector1D72.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D74);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D77 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d78 = vector1D77.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D79 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d80 = vector1D79.getNorm();
    double d81 = vector1D77.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D79);
    double d82 = vector1D72.distance((org.apache.commons.math3.geometry.Vector)vector1D79);
    boolean b83 = vector3D71.equals((java.lang.Object)vector1D72);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D84 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D39, 0.03341256700064158d, vector3D59, 0.9999999958776927d, vector3D71);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane85 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D71);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane86 = plane85.copySelf();
    org.apache.commons.math3.geometry.partitioning.Side side87 = intervalsSet3.side((org.apache.commons.math3.geometry.partitioning.Hyperplane)plane85);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane88 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d89 = plane85.getOffset(plane88);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(plane86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(side87);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet16 = orientedPoint14.wholeSpace();
    java.util.List list17 = intervalsSet16.asList();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet18 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet((java.util.Collection)list17);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint2 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet3 = orientedPoint2.wholeSpace();
    org.apache.commons.math3.geometry.Vector vector4 = intervalsSet3.getBarycenter();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet5 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d11 = vector3D10.getY();
    double d12 = vector3D10.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane13 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D8, vector3D9, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = plane13.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation15 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet16 = polyhedronsSet5.rotate(vector3D14, rotation15);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree18 = polyhedronsSet5.getTree(true);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet19 = intervalsSet3.buildNew(bSPTree18);
    double d20 = intervalsSet19.getInf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet0 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d2 = vector3D1.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = vector3D6.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D1, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane9.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Line line11 = null;
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane12 = polyhedronsSet0.firstIntersection(vector3D10, line11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = vector3D10.getZero();
    double d14 = vector3D10.getNormSq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    double d4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D2, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    double d10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.dotProduct(vector3D8, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D2.add(0.0d, (org.apache.commons.math3.geometry.Vector)vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.4659128780818629d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-0.4659128780818629d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D1 = new org.apache.commons.math3.geometry.euclidean.oned.Vector1D(27393.412534359384d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    double d4 = vector1D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D11 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d12 = vector1D11.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    double d15 = vector1D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D13);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D16 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d17 = vector1D16.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D18 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d19 = vector1D18.getNorm();
    double d20 = vector1D16.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D18);
    double d21 = vector1D11.distance((org.apache.commons.math3.geometry.Vector)vector1D18);
    boolean b22 = vector3D10.equals((java.lang.Object)vector1D11);
    double d23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D7, vector3D10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D24 = vector1D2.subtract((org.apache.commons.math3.geometry.Vector)vector3D7);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = null;
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint2 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet3 = orientedPoint2.wholeSpace();
    org.apache.commons.math3.geometry.Vector vector4 = intervalsSet3.getBarycenter();
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet5 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D7);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d11 = vector3D10.getY();
    double d12 = vector3D10.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane13 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D8, vector3D9, vector3D10);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = plane13.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation15 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet16 = polyhedronsSet5.rotate(vector3D14, rotation15);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree18 = polyhedronsSet5.getTree(true);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet19 = intervalsSet3.buildNew(bSPTree18);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree21 = intervalsSet3.getTree(false);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree22 = bSPTree21.getPlus();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(bSPTree22);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = vector3D9.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b15 = vector3D14.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane21 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D17, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = vector3D20.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(3956.7778831817327d, vector3D9, 0.725616308761716d, vector3D14, 22026.465794806718d, vector3D20);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D24 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_J;
    double d25 = vector3D23.distanceSq((org.apache.commons.math3.geometry.Vector)vector3D24);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D26 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D29 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane30 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D26, vector3D29);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D31 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d32 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D29, vector3D31);
    double d33 = vector3D31.getNormSq();
    double d34 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.angle(vector3D23, vector3D31);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D37 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D38 = vector3D23.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D37);
    org.apache.commons.math3.geometry.euclidean.threed.Line line39 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D3, vector3D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 6.751677571492783E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.03983029990200271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D38);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D2.getNorm();
    double d4 = vector1D0.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D5 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d6 = vector1D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D7 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d8 = vector1D7.getNorm();
    double d9 = vector1D5.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D7);
    double d10 = vector1D0.distance((org.apache.commons.math3.geometry.Vector)vector1D7);
    boolean b12 = vector1D0.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint14 = new org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint(vector1D0, true);
    org.apache.commons.math3.geometry.euclidean.oned.OrientedPoint orientedPoint15 = orientedPoint14.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet16 = orientedPoint14.wholeSpace();
    java.util.List list17 = intervalsSet16.asList();
    org.apache.commons.math3.geometry.partitioning.AbstractRegion abstractRegion18 = intervalsSet16.copySelf();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree20 = abstractRegion18.getTree(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orientedPoint15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(intervalsSet16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(abstractRegion18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree20);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.NEGATIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    boolean b4 = vector3D3.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D9.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D14 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D13);
    double d15 = vector3D14.getNormInf();
    double d16 = vector3D11.dotProduct((org.apache.commons.math3.geometry.Vector)vector3D14);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D19);
    double d21 = vector3D20.getNormInf();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.5707963267948966d), vector3D1, 2.718281817253452d, vector3D3, 0.0d, vector3D11, 0.0d, vector3D20);
    double d23 = vector3D20.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-98.92147658444901d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 99.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5091784786580567d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    bSPTree0.setAttribute((java.lang.Object)"{1}");
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D4, 0.0d, vector2D6);
    double d8 = vector2D4.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D12 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D10, 0.0d, vector2D12);
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D4, vector2D10);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D18 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D16, 0.0d, vector2D18);
    line14.translateToPoint(vector2D16);
    double d21 = vector2D16.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D16, vector2D22);
    double d24 = vector2D16.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D53 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D51, 0.0d, vector2D53);
    double d55 = vector2D51.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D57, 0.0d, vector2D59);
    org.apache.commons.math3.geometry.euclidean.twod.Line line61 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D51, vector2D57);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D66 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D63, 0.0d, vector2D65);
    line61.translateToPoint(vector2D63);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D69, 0.0d, vector2D71);
    double d73 = vector2D69.getNorm();
    boolean b74 = line61.contains(vector2D69);
    boolean b75 = line36.isParallelTo(line61);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D76 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d77 = vector1D76.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D78 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d79 = vector1D78.getNorm();
    double d80 = vector1D76.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D78);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D81 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d82 = vector1D81.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D83 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d84 = vector1D83.getNorm();
    double d85 = vector1D81.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D83);
    double d86 = vector1D76.distance((org.apache.commons.math3.geometry.Vector)vector1D83);
    boolean b88 = vector1D76.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D90 = line36.getPointAt(vector1D76, 100.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine91 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D16, vector2D90);
    boolean b92 = subLine91.isEmpty();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree93 = bSPTree0.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine91);
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet94 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(bSPTree93);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree95 = bSPTree93.getMinus();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree95);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    int[] i_array0 = null;
    int[] i_array2 = new int[] { 0 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array4 = org.apache.commons.math3.util.MathArrays.copyOf(i_array3);
    int[] i_array6 = new int[] { 0 };
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array6);
    int[] i_array11 = new int[] { (-1), 100, 10 };
    int i12 = org.apache.commons.math3.util.MathArrays.distance1(i_array7, i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array4, i_array7);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = org.apache.commons.math3.util.MathArrays.distance(i_array0, i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    boolean b1 = vector2D0.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-2.566370614359173d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.0d, (-1.0d), (-1.5574077246549023d));
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = vector3D3.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D6);
    double d8 = vector3D7.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Line line9 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D3, vector3D7);
    double d10 = vector3D3.getX();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-99.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-99L));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.5403023058681398d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math3.geometry.partitioning.RegionFactory regionFactory0 = new org.apache.commons.math3.geometry.partitioning.RegionFactory();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D2);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d6 = vector3D5.getY();
    double d7 = vector3D5.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D4, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d10 = vector3D9.getY();
    double d11 = vector3D9.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane16 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D12, vector3D15);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d18 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D15, vector3D17);
    double d19 = vector3D17.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D20 = vector3D17.orthogonal();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = vector3D17.negate();
    plane8.reset(vector3D9, vector3D21);
    org.apache.commons.math3.geometry.partitioning.Hyperplane[] hyperplane_array23 = new org.apache.commons.math3.geometry.partitioning.Hyperplane[] { plane8 };
    org.apache.commons.math3.geometry.partitioning.Region region24 = regionFactory0.buildConvex(hyperplane_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.03341256700064158d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(hyperplane_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(region24);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet1 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet(bSPTree0);
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane2 = bSPTree0.getCut();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(subHyperplane2);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    double d51 = line36.getOriginOffset();
    line36.setAngle(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(90.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 45.0d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-1.5707963267948966d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1624473515096265d));

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet1 = new org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(99.0d, vector3D3);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_I;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d7 = vector3D6.getY();
    double d8 = vector3D6.getNormSq();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D4, vector3D5, vector3D6);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane9.getV();
    org.apache.commons.math3.geometry.euclidean.threed.Rotation rotation11 = null;
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet12 = polyhedronsSet1.rotate(vector3D10, rotation11);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    boolean b16 = vector3D15.isNaN();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D17 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b18 = vector3D17.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = vector3D15.crossProduct((org.apache.commons.math3.geometry.Vector)vector3D17);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet20 = polyhedronsSet1.translate(vector3D19);
    org.apache.commons.math3.geometry.Vector vector21 = null;
    org.apache.commons.math3.geometry.partitioning.Region.Location location22 = polyhedronsSet1.checkPoint(vector21);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D23 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d24 = vector3D23.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = vector3D28.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane31 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D23, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D32 = plane31.getU();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D36 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d37 = vector1D36.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D38 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d39 = vector1D38.getNorm();
    double d40 = vector1D36.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D38);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D41 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d42 = vector1D41.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D43 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d44 = vector1D43.getNorm();
    double d45 = vector1D41.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D43);
    double d46 = vector1D36.distance((org.apache.commons.math3.geometry.Vector)vector1D43);
    boolean b47 = vector3D35.equals((java.lang.Object)vector1D36);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D48 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D51 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane52 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D48, vector3D51);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D53 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D56 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane57 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D53, vector3D56);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D58 = vector3D56.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D59 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D62 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane63 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D59, vector3D62);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D64 = vector3D62.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D65 = vector3D62.orthogonal();
    plane52.reset(vector3D58, vector3D65);
    double d67 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance(vector3D35, vector3D65);
    boolean b68 = plane31.contains(vector3D35);
    org.apache.commons.math3.geometry.euclidean.threed.PolyhedronsSet polyhedronsSet69 = polyhedronsSet1.translate(vector3D35);
    org.apache.commons.math3.geometry.Space space70 = vector3D35.getSpace();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D71 = vector3D0.add((org.apache.commons.math3.geometry.Vector)vector3D35);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.8635565787531596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polyhedronsSet69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(space70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D71);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D0 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d1 = vector3D0.getY();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane6 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = vector3D5.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane8 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D0, vector3D5);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    java.lang.String str10 = vector3D9.toString();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = vector3D0.add((org.apache.commons.math3.geometry.Vector)vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{(Infinity); (Infinity); (Infinity)}"+ "'", str10.equals("{(Infinity); (Infinity); (Infinity)}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    double d18 = vector2D13.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d20 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D13, vector2D19);
    double d21 = vector2D13.getY();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = vector2D13.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    boolean b4 = vector1D2.isInfinite();
    boolean b5 = vector1D2.isInfinite();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line51 = line36.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D52 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d53 = vector1D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D54 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d55 = vector1D54.getNorm();
    double d56 = vector1D52.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D54);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D57 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d58 = vector1D57.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D59 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d60 = vector1D59.getNorm();
    double d61 = vector1D57.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D59);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D62 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d63 = vector1D62.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D64 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d65 = vector1D64.getNorm();
    double d66 = vector1D62.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D64);
    double d67 = vector1D57.distance((org.apache.commons.math3.geometry.Vector)vector1D64);
    double d68 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D54, vector1D57);
    double d69 = vector1D57.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D70 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d71 = vector1D70.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D72 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d73 = vector1D72.getNorm();
    double d74 = vector1D70.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D72);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D75 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d76 = vector1D75.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D77 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d78 = vector1D77.getNorm();
    double d79 = vector1D75.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D77);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D80 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d81 = vector1D80.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D82 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d83 = vector1D82.getNorm();
    double d84 = vector1D80.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D82);
    double d85 = vector1D75.distance((org.apache.commons.math3.geometry.Vector)vector1D82);
    double d86 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D72, vector1D75);
    double d87 = vector1D75.getNorm();
    java.lang.String str88 = vector1D75.toString();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D90 = vector1D75.scalarMultiply(Double.POSITIVE_INFINITY);
    double d91 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceSq(vector1D57, vector1D75);
    double d92 = vector1D75.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D94 = line51.getPointAt(vector1D75, 0.9999999958776927d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D95 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    boolean b96 = vector3D95.isInfinite();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D97 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.NEGATIVE_INFINITY;
    double d98 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D95, vector3D97);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = vector1D75.distanceInf((org.apache.commons.math3.geometry.Vector)vector3D97);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str88 + "' != '" + "{1}"+ "'", str88.equals("{1}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D67 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D67, 0.0d, vector2D69);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d72 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D70, vector2D71);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D74 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D76 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D77 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D74, 0.0d, vector2D76);
    double d78 = vector2D71.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D74);
    line65.reset(vector2D74, 4.944515159673474E42d);
    java.lang.String str81 = vector2D74.toString();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree82 = new org.apache.commons.math3.geometry.partitioning.BSPTree((java.lang.Object)vector2D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str81 + "' != '" + "{0; 0}"+ "'", str81.equals("{0; 0}"));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d6 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D4, vector2D5);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D8, 0.0d, vector2D10);
    double d12 = vector2D5.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D8);
    org.apache.commons.math3.geometry.euclidean.twod.Line line14 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D8, 22026.465794806718d);
    double d15 = vector2D8.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = vector2D8.negate();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = vector2D16.normalize();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D16);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(95.37780861313595d, 57.26379999478179d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree0 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    org.apache.commons.math3.geometry.partitioning.SubHyperplane subHyperplane1 = null;
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree2 = bSPTree0.split(subHyperplane1);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree3 = new org.apache.commons.math3.geometry.partitioning.BSPTree();
    bSPTree3.setAttribute((java.lang.Object)"{1}");
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    double d11 = vector2D7.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    org.apache.commons.math3.geometry.euclidean.twod.Line line17 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D7, vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    line17.translateToPoint(vector2D19);
    double d24 = vector2D19.getNorm1();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    double d26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceInf(vector2D19, vector2D25);
    double d27 = vector2D19.getY();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D31 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D29, 0.0d, vector2D31);
    double d33 = vector2D29.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D37 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D35, 0.0d, vector2D37);
    org.apache.commons.math3.geometry.euclidean.twod.Line line39 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D29, vector2D35);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D43 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D41, 0.0d, vector2D43);
    line39.translateToPoint(vector2D41);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D49 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D47, 0.0d, vector2D49);
    double d51 = vector2D47.getNorm();
    boolean b52 = line39.contains(vector2D47);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D57 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D54, 0.0d, vector2D56);
    double d58 = vector2D54.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D63 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D60, 0.0d, vector2D62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D54, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D66 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D68 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D66, 0.0d, vector2D68);
    line64.translateToPoint(vector2D66);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D72 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D74 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D75 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D72, 0.0d, vector2D74);
    double d76 = vector2D72.getNorm();
    boolean b77 = line64.contains(vector2D72);
    boolean b78 = line39.isParallelTo(line64);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D79 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d80 = vector1D79.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D81 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d82 = vector1D81.getNorm();
    double d83 = vector1D79.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D81);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D84 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d85 = vector1D84.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D86 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d87 = vector1D86.getNorm();
    double d88 = vector1D84.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D86);
    double d89 = vector1D79.distance((org.apache.commons.math3.geometry.Vector)vector1D86);
    boolean b91 = vector1D79.equals((java.lang.Object)(byte)100);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D93 = line39.getPointAt(vector1D79, 100.0d);
    org.apache.commons.math3.geometry.euclidean.twod.SubLine subLine94 = new org.apache.commons.math3.geometry.euclidean.twod.SubLine(vector2D19, vector2D93);
    boolean b95 = subLine94.isEmpty();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree96 = bSPTree3.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine94);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree97 = bSPTree2.split((org.apache.commons.math3.geometry.partitioning.SubHyperplane)subLine94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree97);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    double d4 = vector1D2.getNorm();
    double d5 = vector1D2.getNorm();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D9 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane10 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D6, vector3D9);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    double d12 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distanceInf(vector3D9, vector3D11);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = vector1D2.add((org.apache.commons.math3.geometry.Vector)vector3D9);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.03341256700064158d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Line line51 = line36.copySelf();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D52 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d53 = vector1D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D54 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d55 = vector1D54.getNorm();
    double d56 = vector1D52.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D54);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D57 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d58 = vector1D57.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D59 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d60 = vector1D59.getNorm();
    double d61 = vector1D57.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D59);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D62 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d63 = vector1D62.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D64 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d65 = vector1D64.getNorm();
    double d66 = vector1D62.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D64);
    double d67 = vector1D57.distance((org.apache.commons.math3.geometry.Vector)vector1D64);
    double d68 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.distanceInf(vector1D54, vector1D57);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = line36.getPointAt(vector1D54, (-98.92147658444901d));
    java.lang.String str71 = vector2D70.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "{1; 98.92}"+ "'", str71.equals("{1; 98.92}"));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, (-1.5574077246549023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.5574077246549023d));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, (-969420190));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet0 = new org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet();
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree1 = null;
    org.apache.commons.math3.geometry.euclidean.twod.PolygonsSet polygonsSet2 = polygonsSet0.buildNew(bSPTree1);
    org.apache.commons.math3.geometry.Vector vector3 = polygonsSet0.getBarycenter();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D5 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D8 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane9 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D5, vector3D8);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D13 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane14 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D10, vector3D13);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D15 = vector3D13.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D16 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D19 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane20 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D16, vector3D19);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D21 = vector3D19.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D22 = vector3D19.orthogonal();
    plane9.reset(vector3D15, vector3D22);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D25 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D28 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane29 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D25, vector3D28);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D30 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D33 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane34 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D30, vector3D33);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D35 = vector3D33.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D36 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D39 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane40 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D36, vector3D39);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D41 = vector3D39.negate();
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D42 = vector3D39.orthogonal();
    plane29.reset(vector3D35, vector3D42);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D47 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D48 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d49 = vector1D48.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D50 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d51 = vector1D50.getNorm();
    double d52 = vector1D48.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D50);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D53 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d54 = vector1D53.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D55 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d56 = vector1D55.getNorm();
    double d57 = vector1D53.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D55);
    double d58 = vector1D48.distance((org.apache.commons.math3.geometry.Vector)vector1D55);
    boolean b59 = vector3D47.equals((java.lang.Object)vector1D48);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D60 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-1.2261911708835171d), vector3D15, 0.03341256700064158d, vector3D35, 0.9999999958776927d, vector3D47);
    org.apache.commons.math3.geometry.partitioning.Region.Location location61 = polygonsSet0.checkPoint((org.apache.commons.math3.geometry.Vector)vector3D35);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree63 = polygonsSet0.getTree(false);
    org.apache.commons.math3.geometry.partitioning.BSPTree bSPTree64 = bSPTree63.copySelf();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(polygonsSet2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(location61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bSPTree64);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D((-0.9992068341863537d), (-1.5707963267948966d), 0.0d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D0 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.NEGATIVE_INFINITY;
    double[] d_array1 = vector2D0.toArray();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D4 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D7 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(0.9999999958776927d, 100.0d);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D8 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d9 = vector1D8.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D10 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d11 = vector1D10.getNorm();
    double d12 = vector1D8.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D10);
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D13 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d14 = vector1D13.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D15 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d16 = vector1D15.getNorm();
    double d17 = vector1D13.dotProduct((org.apache.commons.math3.geometry.Vector)vector1D15);
    double d18 = vector1D8.distance((org.apache.commons.math3.geometry.Vector)vector1D15);
    boolean b19 = vector3D7.equals((java.lang.Object)vector1D8);
    double d20 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.distance1(vector3D4, vector3D7);
    double d21 = vector3D4.getY();
    java.lang.Object[] obj_array22 = new java.lang.Object[] { d21 };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array22);
    java.lang.Throwable[] throwable_array24 = mathIllegalArgumentException23.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.725616308761716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D0 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d1 = vector1D0.getNorm();
    org.apache.commons.math3.geometry.euclidean.oned.Vector1D vector1D2 = org.apache.commons.math3.geometry.euclidean.oned.Vector1D.ONE;
    double d3 = vector1D0.distance1((org.apache.commons.math3.geometry.Vector)vector1D2);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D5 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D5, 0.0d, vector2D7);
    double d9 = vector2D5.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D11 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D14 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D11, 0.0d, vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Line line15 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D5, vector2D11);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D17 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D20 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D17, 0.0d, vector2D19);
    line15.translateToPoint(vector2D17);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D23 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D25 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D23, 0.0d, vector2D25);
    double d27 = vector2D23.getNorm();
    boolean b28 = line15.contains(vector2D23);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D30 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D33 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D30, 0.0d, vector2D32);
    double d34 = vector2D30.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D36 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D39 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D36, 0.0d, vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Line line40 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D30, vector2D36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D42 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D45 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D42, 0.0d, vector2D44);
    line40.translateToPoint(vector2D42);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D48 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D50 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D51 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D48, 0.0d, vector2D50);
    double d52 = vector2D48.getNorm();
    boolean b53 = line40.contains(vector2D48);
    boolean b54 = line15.isParallelTo(line40);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D56 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D59 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D56, 0.0d, vector2D58);
    double d60 = vector2D56.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D62 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D64 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D65 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D62, 0.0d, vector2D64);
    org.apache.commons.math3.geometry.euclidean.twod.Line line66 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D56, vector2D62);
    boolean b67 = line15.isParallelTo(line66);
    org.apache.commons.math3.geometry.euclidean.twod.Line line68 = line66.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line69 = line66.getReverse();
    org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet intervalsSet72 = new org.apache.commons.math3.geometry.euclidean.oned.IntervalsSet(Double.POSITIVE_INFINITY, 2.2250738585072014E-308d);
    org.apache.commons.math3.geometry.euclidean.threed.SubPlane subPlane73 = new org.apache.commons.math3.geometry.euclidean.threed.SubPlane((org.apache.commons.math3.geometry.partitioning.Hyperplane)line66, (org.apache.commons.math3.geometry.partitioning.Region)intervalsSet72);
    boolean b74 = vector1D2.equals((java.lang.Object)subPlane73);
    double d75 = subPlane73.getSize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector1D2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D1 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D3 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D4 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D1, 0.0d, vector2D3);
    double d5 = vector2D1.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D7 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D9 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D10 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D7, 0.0d, vector2D9);
    org.apache.commons.math3.geometry.euclidean.twod.Line line11 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D1, vector2D7);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D13 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D15 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D16 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D13, 0.0d, vector2D15);
    line11.translateToPoint(vector2D13);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D19 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D21 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D22 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D19, 0.0d, vector2D21);
    double d23 = vector2D19.getNorm();
    boolean b24 = line11.contains(vector2D19);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D26 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D28 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D29 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D26, 0.0d, vector2D28);
    double d30 = vector2D26.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D32 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D34 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D35 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D32, 0.0d, vector2D34);
    org.apache.commons.math3.geometry.euclidean.twod.Line line36 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D26, vector2D32);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D38 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D40 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D41 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D38, 0.0d, vector2D40);
    line36.translateToPoint(vector2D38);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D44 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D46 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D47 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D44, 0.0d, vector2D46);
    double d48 = vector2D44.getNorm();
    boolean b49 = line36.contains(vector2D44);
    boolean b50 = line11.isParallelTo(line36);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D52 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D54 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D55 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D52, 0.0d, vector2D54);
    double d56 = vector2D52.getNorm();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D58 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D60 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D61 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D58, 0.0d, vector2D60);
    org.apache.commons.math3.geometry.euclidean.twod.Line line62 = new org.apache.commons.math3.geometry.euclidean.twod.Line(vector2D52, vector2D58);
    boolean b63 = line11.isParallelTo(line62);
    org.apache.commons.math3.geometry.euclidean.twod.Line line64 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Line line65 = line62.getReverse();
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D67 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D69 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D70 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D67, 0.0d, vector2D69);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D71 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    double d72 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.distanceSq(vector2D70, vector2D71);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D74 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D76 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.ZERO;
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D77 = new org.apache.commons.math3.geometry.euclidean.twod.Vector2D((-1.0d), vector2D74, 0.0d, vector2D76);
    double d78 = vector2D71.distanceSq((org.apache.commons.math3.geometry.Vector)vector2D74);
    line65.reset(vector2D74, 4.944515159673474E42d);
    org.apache.commons.math3.geometry.Vector vector81 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D82 = line65.toSpace(vector81);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(line65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D1 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D2 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(2.220446049250313E-16d, vector3D1);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D3 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.MINUS_K;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D6 = new org.apache.commons.math3.geometry.euclidean.threed.Vector3D(10.0d, 99.0d);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane7 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D3, vector3D6);
    org.apache.commons.math3.geometry.euclidean.twod.Vector2D vector2D8 = org.apache.commons.math3.geometry.euclidean.twod.Vector2D.POSITIVE_INFINITY;
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D10 = plane7.getPointAt(vector2D8, Double.NEGATIVE_INFINITY);
    org.apache.commons.math3.geometry.euclidean.threed.Vector3D vector3D11 = org.apache.commons.math3.geometry.euclidean.threed.Vector3D.PLUS_I;
    double d12 = vector3D11.getZ();
    org.apache.commons.math3.geometry.euclidean.threed.Line line13 = new org.apache.commons.math3.geometry.euclidean.threed.Line(vector3D10, vector3D11);
    org.apache.commons.math3.geometry.euclidean.threed.Plane plane14 = new org.apache.commons.math3.geometry.euclidean.threed.Plane(vector3D2, vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector2D8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(vector3D11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

}
